#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x0e81a804, "");
SYMBOL_CRC(drm_gem_vram_put, 0x02c99d33, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x20c8069c, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x98d0366f, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x1a12186a, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xc6f41e06, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xf9ee81ab, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x293cad2a, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x7e7dec53, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xc7fea5ea, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x2b3a85b2, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x338006ec, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x71d4e6f9, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x08a8745b, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x64f0ec25, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xab989c45, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8f34e5d, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x447e5cf6, "dma_resv_reset_max_fences" },
	{ 0xb5b51e7e, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb41d44da, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xb58db9c4, "drm_gem_object_release" },
	{ 0x4ca73a37, "ttm_tt_init" },
	{ 0x4db2bdb4, "drm_gem_handle_create" },
	{ 0x32761e92, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb8a6cec7, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xfaed59b8, "drm_debugfs_add_files" },
	{ 0x5a0f10df, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe75798e9, "ttm_device_init" },
	{ 0xebd271b0, "ttm_bo_validate" },
	{ 0x32a611bf, "ttm_bo_move_to_lru_tail" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x753adddf, "ttm_bo_vmap" },
	{ 0x6ef38957, "ttm_bo_put" },
	{ 0x9a4bccf7, "ttm_resource_free" },
	{ 0xd84217b3, "ttm_bo_move_memcpy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x59d5c1ce, "ttm_tt_fini" },
	{ 0xa8bf7f06, "ttm_device_fini" },
	{ 0xb0f53794, "drm_gem_plane_helper_prepare_fb" },
	{ 0xbd5a3104, "ttm_bo_eviction_valuable" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xfc50db3e, "drm_gem_ttm_print_info" },
	{ 0x855b9309, "ttm_range_man_init_nocheck" },
	{ 0x6aefca01, "ww_mutex_lock_interruptible" },
	{ 0x59099a2a, "ttm_resource_manager_debug" },
	{ 0x99f46325, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8a52f8a, "ttm_range_man_fini_nocheck" },
	{ 0xec10b16b, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2344a43e, "ttm_bo_pin" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "drm_ttm_helper,ttm");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
