#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cs42l43_reg_default, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_readable_register, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_precious_register, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_volatile_register, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_dev_probe, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_dev_remove, "_gpl", "MFD_CS42L43");
KSYMTAB_DATA(cs42l43_pm_ops, "_gpl", "MFD_CS42L43");

SYMBOL_CRC(cs42l43_reg_default, 0xc314c8a9, "_gpl");
SYMBOL_CRC(cs42l43_readable_register, 0xda654eb2, "_gpl");
SYMBOL_CRC(cs42l43_precious_register, 0x10ac5b1e, "_gpl");
SYMBOL_CRC(cs42l43_volatile_register, 0x0b9bb308, "_gpl");
SYMBOL_CRC(cs42l43_dev_probe, 0xb8e64a8c, "_gpl");
SYMBOL_CRC(cs42l43_dev_remove, 0x9cceabea, "_gpl");
SYMBOL_CRC(cs42l43_pm_ops, 0x1a36ea20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x910cb213, "regmap_write" },
	{ 0x157899b3, "_dev_err" },
	{ 0x3f59b1c5, "regmap_bulk_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb4ac477b, "regmap_read" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x65b45cb, "complete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcbd784e, "regmap_multi_reg_write_bypassed" },
	{ 0xf9a482f9, "msleep" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x87670936, "request_firmware_nowait" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x50df14f5, "regulator_enable" },
	{ 0x31131e81, "gpiod_set_value_cansleep" },
	{ 0x5db10014, "regulator_bulk_enable" },
	{ 0xfa57f27b, "regulator_bulk_disable" },
	{ 0x908fe8f8, "regulator_disable" },
	{ 0x11104aa2, "__pm_runtime_idle" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x1013883c, "regmap_register_patch" },
	{ 0x1e79888d, "irq_get_irq_data" },
	{ 0x90ca1f03, "devm_regmap_add_irq_chip" },
	{ 0xa19fa215, "devm_mfd_add_devices" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf486f0f5, "__pm_runtime_suspend" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb631508e, "devm_gpiod_get_optional" },
	{ 0x833153d9, "devm_regulator_get" },
	{ 0xa2ecf879, "devm_regulator_bulk_get" },
	{ 0xf666c7e4, "pm_runtime_set_autosuspend_delay" },
	{ 0xd41125a6, "__pm_runtime_use_autosuspend" },
	{ 0x8de01bc8, "__pm_runtime_set_status" },
	{ 0x19760b86, "devm_pm_runtime_enable" },
	{ 0xb787bee, "dev_err_probe" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e9c01ef, "pm_runtime_force_resume" },
	{ 0xdd5dbf1e, "pm_runtime_force_suspend" },
	{ 0x8ea1660, "regcache_mark_dirty" },
	{ 0xa41717a7, "regcache_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa0036df3, "regcache_cache_only" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CA23C653D3A1DED78B99DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
