#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0xad7d6513, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0xae525703, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0xbf778e29, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0x37e6cfde, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x820ae3b2, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0xc3db32dc, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0x543103ee, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xc44d92b8, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x831a3197, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x0ccc1f8f, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0xd4b9202d, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0xa0757888, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0xb9d556a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4cf0a351, "usb_bulk_msg" },
	{ 0x853b6eb7, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe18882d, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xab8ed349, "usb_control_msg" },
	{ 0x4c0846f5, "usb_register_driver" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6d37579e, "device_for_each_child" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0x13ac2cb4, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0x53f7c57b, "usb_sg_cancel" },
	{ 0x14e69ae1, "usb_deregister" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc5d04985, "mfd_add_devices" },
	{ 0xb46417aa, "usb_enable_autosuspend" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8F3F966F72D56F16FF3485");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
