#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab9abc61, "dma_free_attrs" },
	{ 0x6e129203, "gen_pool_free_owner" },
	{ 0x58439a52, "gen_pool_destroy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xfe60db70, "unregister_virtio_driver" },
	{ 0xc012b196, "virtqueue_get_vring_size" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2776d02e, "dma_alloc_attrs" },
	{ 0x3e55dc6e, "gen_pool_create" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x190a2bf6, "gen_pool_add_owner" },
	{ 0x12ec5a1c, "__dynamic_netdev_dbg" },
	{ 0xb5203df2, "gen_pool_alloc_algo_owner" },
	{ 0x15a12462, "netif_carrier_on" },
	{ 0xd67f6c09, "napi_enable" },
	{ 0xc4034b57, "napi_schedule_prep" },
	{ 0x39ac39ad, "__napi_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x76042475, "netdev_info" },
	{ 0x1f65024a, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xac71cdec, "netif_receive_skb" },
	{ 0xa73fb604, "vringh_complete_kern" },
	{ 0xf0769558, "vringh_getdesc_kern" },
	{ 0x42e3c062, "__netdev_alloc_skb" },
	{ 0xa56c0270, "consume_skb" },
	{ 0x86105133, "napi_complete_done" },
	{ 0xccd61d13, "vringh_notify_enable_kern" },
	{ 0x196707ff, "vringh_notify_disable_kern" },
	{ 0xfb8c1878, "vringh_need_notify_kern" },
	{ 0xadc16795, "netdev_err" },
	{ 0x73222018, "netdev_warn" },
	{ 0x19c134d, "netif_carrier_off" },
	{ 0x679a748b, "alloc_netdev_mqs" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8950464c, "virtqueue_disable_cb" },
	{ 0x1049f334, "netif_napi_add_weight" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x9c058a0f, "register_netdevice" },
	{ 0x349cba85, "strchr" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0x7ab51bf0, "debugfs_create_u32" },
	{ 0x157899b3, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x5b93b334, "skb_copy_bits" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x6f4c79be, "virtqueue_get_buf" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x52570a8d, "netif_tx_wake_queue" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xd5b93128, "virtqueue_add_outbuf" },
	{ 0xb4fdef4c, "virtqueue_kick" },
	{ 0x4c28e882, "virtqueue_enable_cb" },
	{ 0xff2569ef, "netif_tx_stop_all_queues" },
	{ 0x5b4f6b28, "napi_disable" },
	{ 0xd1e289cf, "virtqueue_detach_unused_buf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6f82dfda, "__register_virtio_driver" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x71c698ea, "dev_close" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x434b30c0, "debugfs_remove" },
	{ 0xaef84ca9, "virtio_reset_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f533588, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "vringh");

MODULE_ALIAS("virtio:d0000000Cv*");

MODULE_INFO(srcversion, "3B0F55E31252F36FE4DD2F8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
