#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0x2ebeff79, "");
SYMBOL_CRC(b53_enable_port, 0xaaf70ca7, "");
SYMBOL_CRC(b53_disable_port, 0x82704c38, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x4aa627a3, "");
SYMBOL_CRC(b53_configure_vlan, 0xa08a1fc7, "");
SYMBOL_CRC(b53_get_strings, 0x7e7371e3, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0xc26ce611, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x31581049, "");
SYMBOL_CRC(b53_get_sset_count, 0x6ce52431, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0xa7ddff97, "");
SYMBOL_CRC(b53_port_event, 0x9ee48539, "");
SYMBOL_CRC(b53_vlan_filtering, 0xcd9d1028, "");
SYMBOL_CRC(b53_vlan_add, 0x8e9b06e9, "");
SYMBOL_CRC(b53_vlan_del, 0xefc367f2, "");
SYMBOL_CRC(b53_fdb_add, 0xc26b07e6, "");
SYMBOL_CRC(b53_fdb_del, 0x211eb1a4, "");
SYMBOL_CRC(b53_fdb_dump, 0xcd3908b6, "");
SYMBOL_CRC(b53_mdb_add, 0x0796afb9, "");
SYMBOL_CRC(b53_mdb_del, 0x705fe24d, "");
SYMBOL_CRC(b53_br_join, 0x96fb8c3b, "");
SYMBOL_CRC(b53_br_leave, 0x09fa73ae, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x7e17dd48, "");
SYMBOL_CRC(b53_br_fast_age, 0x9aaf67e8, "");
SYMBOL_CRC(b53_br_flags_pre, 0x0ec27a7e, "");
SYMBOL_CRC(b53_br_flags, 0xb6383d66, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x042d9f9d, "");
SYMBOL_CRC(b53_mirror_add, 0x88f3a0c2, "");
SYMBOL_CRC(b53_mirror_del, 0xe574b829, "");
SYMBOL_CRC(b53_eee_init, 0xd12c10f9, "");
SYMBOL_CRC(b53_get_mac_eee, 0x67992b46, "");
SYMBOL_CRC(b53_set_mac_eee, 0x79b497d9, "");
SYMBOL_CRC(b53_switch_alloc, 0x7b96445a, "");
SYMBOL_CRC(b53_switch_detect, 0x98e057ae, "");
SYMBOL_CRC(b53_switch_register, 0x4fae5330, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5a0112a, "dsa_devlink_resources_unregister" },
	{ 0xb3ed59f3, "dsa_devlink_resource_register" },
	{ 0xc675efbe, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x157899b3, "_dev_err" },
	{ 0x48f5c04b, "mdiobus_get_phy" },
	{ 0x4114a27d, "phy_ethtool_get_stats" },
	{ 0x5b568e75, "phy_ethtool_get_sset_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x304598, "phy_ethtool_get_strings" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf4149037, "dsa_port_phylink_mac_change" },
	{ 0x1f4e48c0, "phy_init_eee" },
	{ 0xf9a482f9, "msleep" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0xc4ceec80, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x46d03a0, "gpio_to_desc" },
	{ 0xf1922797, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "36CACD47A5F279D94DAC1E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
