#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x215fb804, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x003e6d96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93d37d6e, "netif_set_real_num_rx_queues" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3f8e321, "skb_push" },
	{ 0x2776d02e, "dma_alloc_attrs" },
	{ 0xd67f6c09, "napi_enable" },
	{ 0xac71cdec, "netif_receive_skb" },
	{ 0x3ea706f9, "register_netdev" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcd245d48, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xed6f715c, "ethtool_op_get_link" },
	{ 0x4c579dc7, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe98ea95f, "pci_iounmap" },
	{ 0xa3134755, "pci_restore_state" },
	{ 0x52570a8d, "netif_tx_wake_queue" },
	{ 0x617fe1e6, "devm_hwmon_device_register_with_groups" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x48150285, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x693622a3, "__pskb_pull_tail" },
	{ 0x2edcb7eb, "netif_tx_lock" },
	{ 0x42e3c062, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7eefac21, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xab9abc61, "dma_free_attrs" },
	{ 0xe5819d4e, "pci_enable_wake" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x981fba97, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x72de08be, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19c134d, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3be99a99, "skb_clone" },
	{ 0x7e54bd78, "__hw_addr_sync_dev" },
	{ 0x298d52ee, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x15a12462, "netif_carrier_on" },
	{ 0xbdc0d65e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5fc0e2de, "alloc_pages_noprof" },
	{ 0x2d20265a, "pci_disable_device" },
	{ 0xbaa9d23, "dma_set_mask" },
	{ 0xcc1b9cd5, "netif_set_tso_max_size" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc4034b57, "napi_schedule_prep" },
	{ 0xb68e52c2, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0x5b4f6b28, "napi_disable" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0x3238fc1b, "_dev_printk" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9b24a067, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x73be9917, "pci_write_config_dword" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x76042475, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x484f9c1b, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc52da796, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x95d78d8e, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xdf4e1b02, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5b93b334, "skb_copy_bits" },
	{ 0x9cf647c7, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xdf3cbe8c, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x98ca7994, "param_ops_ushort" },
	{ 0xa56c0270, "consume_skb" },
	{ 0x7f61f894, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1049f334, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x7e11a2ce, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x95186076, "ndo_dflt_bridge_getlink" },
	{ 0x6f533588, "unregister_netdev" },
	{ 0xf07c56a3, "napi_get_frags" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb33b872f, "dma_unmap_page_attrs" },
	{ 0x8162a570, "request_firmware" },
	{ 0xafe8216e, "__pci_register_driver" },
	{ 0xdf47aa93, "pci_num_vf" },
	{ 0x6d3824e, "pci_request_regions" },
	{ 0xd49bdb58, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xcf9b7da4, "pci_sriov_get_totalvfs" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x59c35894, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x628d149d, "udp_tunnel_nic_ops" },
	{ 0xacbb5f82, "__netif_napi_del" },
	{ 0x50ef5c02, "netif_tx_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xdfc2c7d9, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12044851, "pskb_expand_head" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0x23439f6a, "eth_type_trans" },
	{ 0x3d20dff5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa7831f72, "dma_map_page_attrs" },
	{ 0x86105133, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x39ac39ad, "__napi_schedule" },
	{ 0x7f86b60b, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xbba90fb3, "netif_device_detach" },
	{ 0xae971600, "__hw_addr_unsync_dev" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x4f825d6, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe7fb6c66, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x157899b3, "_dev_err" },
	{ 0x83d6ca92, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5bdfe8f2, "netif_set_real_num_tx_queues" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "299CB9E24C251ADA4AF4B1A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
