#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x1aad7e18, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x0fbf52f9, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x85d052d2, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xddc211ec, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x7ffd5ef7, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x0c1793d6, "");
SYMBOL_CRC(mlx5_cmd_check, 0x3f175b5f, "");
SYMBOL_CRC(mlx5_cmd_do, 0xbd33bba0, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x2d465926, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xdd654c66, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x9f6f8845, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x44f26a07, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xe12e774c, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x2ab34c3d, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xfeb34027, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x9536f4f3, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x0e5cd05b, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x6e570a08, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x569d6388, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xabd4671c, "");
SYMBOL_CRC(mlx5_eq_enable, 0xdf3bc149, "");
SYMBOL_CRC(mlx5_eq_disable, 0x3f2decb8, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x962174ca, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x1f0b0d5b, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x6f5e5ed2, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xa44c6a77, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x4932df0d, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x13fd33aa, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x656ed51b, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x9e66a5b2, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x5b11b9ef, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x5eeed68c, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xe9a177ed, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x835e54ce, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x3f5d4068, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xabee56ca, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x73f71efa, "");
SYMBOL_CRC(mlx5_create_cq, 0x29d583ad, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x382ea3c8, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x7d738124, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x9d465fe1, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x27a07c87, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x5c4557e7, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x36de00b2, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xb3680f77, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xe6109150, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x876f29f5, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x6a457319, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xddb68686, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xce975a4c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xcaed9ab8, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xde980a60, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x12d818bf, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x3d9cd7e9, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x83d59367, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xe8b02f49, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xb3cf6215, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x4d912d74, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x5e386bb0, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x5a03669a, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x8779b746, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x91e7ab82, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x4fcf3110, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x44ccd628, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xc53f8fdd, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x5217ead9, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xd9d26f04, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xd77ac9c6, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x496ac9a8, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x364f0c50, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x5b7208df, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xaada013c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xc041cd6b, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xf18bdc13, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x912f907a, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x1d0328a1, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x04b11f00, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xff8568ce, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xa44f458a, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x3028d0d8, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x22285531, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x726d97cf, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x343350ef, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x52f5543b, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x4938f6d4, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xf0992f06, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x8155d230, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x1ca1ec8f, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x9d1bfb5b, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xee37fe60, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xf279d70b, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xa946c3a7, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xf69f52cc, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xb2815815, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x9d9b6114, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x2c5acbe7, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x9b637b37, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x791cdca0, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x7f3bd6fe, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x95e429ad, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x9a137e92, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xf697738b, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xf3a31ab0, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xb90914e8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x4ed07a94, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x6ef98869, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x0033d58b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x40f1fab7, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x5ab6e713, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xbb868dba, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xb4f595c2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xff8380e8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x89b50805, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x5662bd90, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x88a99f09, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xe5d346ac, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xc33b5ffa, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x75e6ad35, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x83aa5f1e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x187eee1d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xf5708a47, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x50ead65c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x8cd4ced4, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x6d319a77, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x4d188835, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x793b75ba, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xa589b7af, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x82e45412, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x6d8bf649, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x8768b233, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x2ab0557a, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xe1333dd4, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xdd675cb3, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x6094dd2d, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xb50af91e, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x84b1b5a0, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x21125a7e, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x8ac4185f, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xc2826a65, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x2f153146, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x63b699e2, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x671e4d3c, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xc4439e72, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xfa87f3a5, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x036c6fbe, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x91d65fa1, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xc4f00bf3, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x05020608, "");
SYMBOL_CRC(mlx5_fc_create, 0xb9acded7, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x256e4002, "");
SYMBOL_CRC(mlx5_fc_query, 0x0d434e44, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xef0bccb2, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x25dad114, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xb91263d5, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xd70d4349, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x9b039889, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x4b278da5, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xa7b5f629, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x28a03f58, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x7aacee70, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x39e2ffab, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xc1839843, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x05a717c6, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xff0df50e, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xddb6121c, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x5455d72e, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x52af1fe6, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x7ba449bd, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x2053d847, "");
SYMBOL_CRC(mlx5_notifier_register, 0x678137cd, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x32e82676, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x5d61ca49, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xae0bcf78, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xc607db87, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xd71f1afe, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xe66eee4a, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x0a830b7f, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x13c6b63e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xbb022976, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x2827dd47, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xbad201fd, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x44572722, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x81336a84, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x7229f7ac, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xe4d45e8c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x49c89cd5, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xdb3d406f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xdb84aed4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xe0dc2b16, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x3e2f9061, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xf115f557, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x17cdb892, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xa7d428a5, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xeae41c98, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x8e360056, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x55a69154, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x8bef60d6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x713bd0da, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0xe0749ae2, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x24b8d6a9, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xc4e9db6c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x58f1fba7, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x426e0c31, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x84d69ebf, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x7e767abb, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x5649e3ca, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xba10a642, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x5ecc33b9, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x88dce280, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xc810c5df, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x1891ad69, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x9f370464, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xd76fd9e6, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xa7c465e3, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xbb84d9e6, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xae2c87c4, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x78fd97c3, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xcd2bab6e, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x9b2b36f0, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xa8858dea, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xdf1aef9f, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x38cf0890, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x3a46a9d6, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x75d00958, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xf9363b8d, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x50745ff6, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x54254632, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xb6ca505f, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xeba3e5b5, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x789792b2, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xb4c93195, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcd245d48, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xed6f715c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x4c579dc7, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc883e875, "__ethtool_get_link_ksettings" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0xcf191255, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa0fb4c47, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xa3134755, "pci_restore_state" },
	{ 0x6a38c783, "bpf_trace_run1" },
	{ 0x652c1188, "__inet6_lookup_established" },
	{ 0x52570a8d, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x48aa2c9a, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0xb1449afd, "page_pool_create" },
	{ 0xa5c48310, "skb_checksum" },
	{ 0xf16ee4c8, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0xb347b124, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xa20b28cb, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x113f3570, "devl_resources_unregister" },
	{ 0x51cefc0e, "ptp_clock_event" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x7fdd81, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x48150285, "pci_set_master" },
	{ 0x8d69d1eb, "devl_trap_groups_register" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ab51bf0, "debugfs_create_u32" },
	{ 0xbd8dc6bf, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2b714d10, "flow_rule_match_ipv6_addrs" },
	{ 0xdff18a5a, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x82059aac, "atomic_notifier_call_chain" },
	{ 0xef8ba2b8, "devl_params_unregister" },
	{ 0x3f53d855, "ptp_clock_unregister" },
	{ 0x693622a3, "__pskb_pull_tail" },
	{ 0xb0d8d744, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x42e3c062, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xe3844265, "devlink_trap_report" },
	{ 0xa057416b, "__neigh_event_send" },
	{ 0x45ec0ee, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0x11a7b306, "dev_printk_emit" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa2cd484c, "devl_traps_register" },
	{ 0x7f9de7b2, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x12ec5a1c, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7eefac21, "dma_set_coherent_mask" },
	{ 0x7ed4dd71, "__neigh_create" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0xcec2dbbe, "flow_rule_match_enc_control" },
	{ 0x3dfb6bc7, "bpf_trace_run3" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x1f65245, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xec52fff4, "debugfs_create_file" },
	{ 0xb43e3c30, "rps_may_expire_flow" },
	{ 0xa2eec04, "metadata_dst_free" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0x672b30aa, "xsk_set_tx_need_wakeup" },
	{ 0xfe9ffa45, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7355212d, "netdev_reset_tc" },
	{ 0xdb049988, "neigh_destroy" },
	{ 0xab9abc61, "dma_free_attrs" },
	{ 0x596b777b, "rhltable_init_noprof" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x4c5a25b6, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x37e06163, "debugfs_create_x32" },
	{ 0xe3c93188, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x80cec1f9, "flow_rule_match_enc_ports" },
	{ 0x48c6dab7, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x981fba97, "pci_release_regions" },
	{ 0x215e7641, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x801b09d6, "__dma_sync_single_for_device" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xef4ede48, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xdf3900b1, "devl_assert_locked" },
	{ 0x8e8a80c1, "pcie_print_link_status" },
	{ 0xff032bbb, "xp_set_rxq_info" },
	{ 0xdabd80fb, "flow_rule_match_vlan" },
	{ 0x6a4f640a, "devl_port_unregister" },
	{ 0x6a0bdebd, "xdp_rxq_info_unreg" },
	{ 0x66eae4c8, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x27c3ad4d, "devl_param_driverinit_value_get" },
	{ 0x857ec628, "napi_build_skb" },
	{ 0x15c3fd07, "netdev_master_upper_dev_get_rcu" },
	{ 0x72de08be, "__folio_put" },
	{ 0xa968ac34, "__xdp_rxq_info_reg" },
	{ 0xbc15a902, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x41e7fc35, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5ef4f24e, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf36ef9de, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19c134d, "netif_carrier_off" },
	{ 0x95945080, "seq_printf" },
	{ 0x679faf7b, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa8857036, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x87c958f8, "devlink_priv" },
	{ 0x7544581a, "devlink_port_register_with_ops" },
	{ 0x298d52ee, "pci_disable_sriov" },
	{ 0xc9404f2f, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe9a82142, "dst_release" },
	{ 0x15a12462, "netif_carrier_on" },
	{ 0x3388896c, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x45ebf4e, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf9bdb61d, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5fc0e2de, "alloc_pages_noprof" },
	{ 0x2d20265a, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x21c0e3e5, "xp_free" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0xeec997a6, "page_pool_update_nid" },
	{ 0x1033ede4, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xbaa9d23, "dma_set_mask" },
	{ 0x3a640525, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcc1b9cd5, "netif_set_tso_max_size" },
	{ 0x217d6b5e, "vlan_dev_vlan_id" },
	{ 0x35e1fb82, "__skb_flow_dissect" },
	{ 0x7e5cad85, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x549240b1, "seq_open" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdc3bc129, "skb_add_rx_frag_netmem" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xef29089d, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4891a3f7, "xp_raw_get_data" },
	{ 0xd77cb2de, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xa8fd90ac, "xa_set_mark" },
	{ 0xc4034b57, "napi_schedule_prep" },
	{ 0x748ed2d2, "qdisc_reset" },
	{ 0xa69cd9c7, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xd14637ba, "xp_alloc_batch" },
	{ 0x61bc15fe, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x5b4f6b28, "napi_disable" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0x3940cdfe, "dcb_ieee_delapp" },
	{ 0x827fc12f, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x66109a7, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb8bf5c4b, "debugfs_create_u8" },
	{ 0x4e66e37f, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x97232afc, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0x4b912c72, "idr_get_next_ul" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x248508f7, "skb_ext_add" },
	{ 0x74f847e0, "pcie_bandwidth_available" },
	{ 0x380fb251, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3be28825, "flow_rule_match_control" },
	{ 0xa992e42, "flow_rule_match_ip" },
	{ 0x9b24a067, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x9e9c6d7f, "dcb_ieee_setapp" },
	{ 0x9ebc1b0a, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcefb817f, "xsk_tx_release" },
	{ 0x2f69f4eb, "devl_traps_unregister" },
	{ 0x801dde9a, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x73be9917, "pci_write_config_dword" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x76042475, "netdev_info" },
	{ 0xd6830d46, "skb_dump" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xf0ca8cec, "neigh_lookup" },
	{ 0x84450d8c, "kmem_cache_destroy" },
	{ 0x96524dad, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa76e0e37, "__tracepoint_xdp_exception" },
	{ 0xe11fcf31, "__inet_lookup_established" },
	{ 0x59da2f7b, "xsk_tx_completed" },
	{ 0xf6d84ede, "napi_alloc_skb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f9c1b, "alloc_etherdev_mqs" },
	{ 0xbd301908, "netdev_lower_get_next" },
	{ 0xf85765e9, "secpath_set" },
	{ 0x37ef8e28, "flow_block_cb_lookup" },
	{ 0xc52da796, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd7113961, "devl_rate_leaf_create" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xdec49e90, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x7f9a6f2c, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5c874975, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xffad9319, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7a54c1e5, "bpf_prog_put" },
	{ 0xf8eae8c4, "page_pool_get_stats" },
	{ 0xdb8377cb, "down_timeout" },
	{ 0x35ed9461, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcebd76c, "pci_cfg_access_unlock" },
	{ 0xa932b522, "xp_dma_map" },
	{ 0x6333faae, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc695b63c, "devlink_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x5b93b334, "skb_copy_bits" },
	{ 0xa3b55855, "debugfs_attr_write" },
	{ 0x8c44ab2f, "dma_pool_create" },
	{ 0x9cf647c7, "param_ops_uint" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x67f659f3, "pci_msix_vec_count" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xdf3cbe8c, "pci_enable_device" },
	{ 0x1f65024a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x9ca52ffb, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xedca8351, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x21988085, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4828284c, "register_fib_notifier" },
	{ 0xdd06a5d5, "auxiliary_device_init" },
	{ 0xf4ea364d, "ip6_dst_hoplimit" },
	{ 0xfc6c526c, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5295db02, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xa7fe7161, "pci_alloc_irq_vectors" },
	{ 0x1049f334, "netif_napi_add_weight" },
	{ 0x27ab5946, "pci_enable_atomic_ops_to_root" },
	{ 0xb42975c0, "seq_release" },
	{ 0x7a7bfb3, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3032ef4e, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x34190124, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xc594256d, "xsk_clear_tx_need_wakeup" },
	{ 0xb84d683d, "udp4_hwcsum" },
	{ 0x42aaa69, "xa_get_mark" },
	{ 0x11303d1e, "devl_lock" },
	{ 0x115cc3b6, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x95186076, "ndo_dflt_bridge_getlink" },
	{ 0x6f533588, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x479107fb, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc7c39f24, "__trace_trigger_soft_disabled" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x287f61a2, "flow_rule_match_tcp" },
	{ 0x86c1c218, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x41b3a305, "register_netdevice_notifier_dev_net" },
	{ 0xb33b872f, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8110d8e3, "trace_event_printf" },
	{ 0x3bba8b0e, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb40af98e, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0xafe8216e, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbfc97bdc, "up" },
	{ 0x2d22f4a6, "refcount_dec_and_mutex_lock" },
	{ 0xfff9b748, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xdf47aa93, "pci_num_vf" },
	{ 0xced0bb75, "debugfs_create_atomic_t" },
	{ 0x30eea152, "flow_rule_match_eth_addrs" },
	{ 0x1ee4455, "xfrm_state_check_expire" },
	{ 0x28f1084c, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa052adcd, "ptp_clock_index" },
	{ 0x6d3824e, "pci_request_regions" },
	{ 0xd49bdb58, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xcbb2320c, "trace_event_raw_init" },
	{ 0x83f229af, "flow_block_cb_free" },
	{ 0xbcb0509, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2039a48, "xp_can_alloc" },
	{ 0x52f3b1cf, "psample_sample_packet" },
	{ 0x4354040, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x899a17fe, "devlink_alloc_ns" },
	{ 0x3734f337, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xcf9b7da4, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x41f016bf, "devlink_register" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xd3d8876e, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0x85354fe6, "page_pool_destroy" },
	{ 0x43e813a6, "xdp_do_redirect" },
	{ 0x6c2e9bed, "devlink_free" },
	{ 0x2db60325, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc25a8f1a, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x73222018, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x628d149d, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3cbaae72, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xea1a5955, "pci_irq_vector" },
	{ 0xf4a83856, "flow_rule_match_ipv4_addrs" },
	{ 0x72f79686, "ip_route_output_flow" },
	{ 0xacbb5f82, "__netif_napi_del" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x2aababb7, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x3b2503e3, "sock_gen_put" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xdfc2c7d9, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xadc16795, "netdev_err" },
	{ 0x9e34aa13, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2ce96947, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x61aa5d3a, "netdev_port_same_parent_id" },
	{ 0x3bfc21fa, "trace_event_buffer_commit" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0xb0368309, "xdp_rxq_info_reg_mem_model" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9afd0d5f, "ptp_find_pin" },
	{ 0x23439f6a, "eth_type_trans" },
	{ 0x3d20dff5, "pci_read_config_dword" },
	{ 0x77713a4c, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x677ccab5, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf6f785f7, "auxiliary_driver_unregister" },
	{ 0xa7831f72, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x86105133, "napi_complete_done" },
	{ 0xe324dd5, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x70338dc2, "devlink_port_attrs_pci_vf_set" },
	{ 0xaced1645, "priv_to_devlink" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xca842e09, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x4241307a, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x39ac39ad, "__napi_schedule" },
	{ 0x75dde074, "devlink_port_health_reporter_create" },
	{ 0xbe225b67, "pcie_relaxed_ordering_enabled" },
	{ 0x99109c8c, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x1f0e5a6b, "devlink_port_attrs_pci_pf_set" },
	{ 0xf89e9dd1, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xbba90fb3, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc494c137, "__free_pages" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0xf19340e9, "skb_vlan_pop" },
	{ 0x7f5c736e, "napi_gro_receive" },
	{ 0x4f825d6, "netif_device_attach" },
	{ 0x313fdaa9, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x4b39d9f6, "netdev_pick_tx" },
	{ 0x51883e7d, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x93c9e5a9, "xp_raw_get_dma" },
	{ 0xcba97e5f, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xeb6c61e1, "xdp_rxq_info_is_reg" },
	{ 0x4160f547, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0xdc711ba6, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xd09cc220, "free_fib_info" },
	{ 0x97200648, "kmalloc_node_trace_noprof" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x635adcfb, "devl_health_reporter_create" },
	{ 0x3f8530bb, "flow_block_cb_setup_simple" },
	{ 0x1bc972e7, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x17cdab15, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7d6e8490, "unregister_netdevice_notifier_dev_net" },
	{ 0xaaa2b69b, "pci_find_capability" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xb9ccb6e9, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x1e3d017a, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x370e08df, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0xaaaed396, "vlan_dev_real_dev" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe7fb6c66, "__dma_sync_single_for_cpu" },
	{ 0x106926c0, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc35466db, "__dev_get_by_index" },
	{ 0xc517606d, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x4783c964, "devlink_port_unregister" },
	{ 0xf5bd78fb, "dev_get_port_parent_id" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x157899b3, "_dev_err" },
	{ 0xe6e61ba2, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0x83d6ca92, "softnet_data" },
	{ 0x1ac38039, "ipv6_stub" },
	{ 0x511a1acf, "simple_open" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa55222ac, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf0118452, "simple_attr_release" },
	{ 0xe53262dc, "ptp_clock_register" },
	{ 0x4ed2075, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x742a4d85, "xsk_tx_peek_desc" },
	{ 0x3eb4ab09, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x5bdfe8f2, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2c3519ac, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x1e79888d, "irq_get_irq_data" },
	{ 0x52429449, "dev_remove_pack" },
	{ 0x93d37d6e, "netif_set_real_num_rx_queues" },
	{ 0x32a460e8, "down" },
	{ 0xccf9b4c9, "dev_get_by_index" },
	{ 0xf48e60c5, "bpf_trace_run5" },
	{ 0xf2e56a22, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x54761f80, "skb_store_bits" },
	{ 0xdf1f1816, "devl_port_register_with_ops" },
	{ 0xc0e9dd47, "dev_get_by_index_rcu" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0xd821ea, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x796459a4, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3f8e321, "skb_push" },
	{ 0xf6ff740b, "kmem_cache_free" },
	{ 0x2776d02e, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x434b30c0, "debugfs_remove" },
	{ 0xb4c20a7a, "pci_read_config_word" },
	{ 0xd67f6c09, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x3baf894b, "xsk_clear_rx_need_wakeup" },
	{ 0x9c52ad76, "unregister_netdevice_notifier_net" },
	{ 0xd0ffc1e6, "xsk_uses_need_wakeup" },
	{ 0x3ea706f9, "register_netdev" },
	{ 0xd68a08a1, "unregister_fib_notifier" },
	{ 0xd530f828, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xa3c6d473, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xe74e80fe, "debugfs_create_u64" },
	{ 0x6573f300, "ida_free" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xf5defb8e, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x594f98b1, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,dimlib,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "7B54C1E12C768187E8CB603");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
