#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x6b1a8888, "_raw_spin_trylock_bh" },
	{ 0xa3134755, "pci_restore_state" },
	{ 0x52570a8d, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x7fdd81, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x48150285, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x2edcb7eb, "netif_tx_lock" },
	{ 0x42e3c062, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x12ec5a1c, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7eefac21, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb43e3c30, "rps_may_expire_flow" },
	{ 0xab9abc61, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xce4de3dc, "pci_dev_get" },
	{ 0x72de08be, "__folio_put" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19c134d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x15a12462, "netif_carrier_on" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdc0d65e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5fc0e2de, "alloc_pages_noprof" },
	{ 0x6dcad2f0, "i2c_smbus_write_byte_data" },
	{ 0x2d20265a, "pci_disable_device" },
	{ 0xbaa9d23, "dma_set_mask" },
	{ 0x35e1fb82, "__skb_flow_dissect" },
	{ 0x9aee5891, "pci_vpd_alloc" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x62eb612a, "mdio45_ethtool_ksettings_get_npage" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc4034b57, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x5b4f6b28, "napi_disable" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0xb79a54ee, "mdio45_nway_restart" },
	{ 0x3856d825, "netif_set_tso_max_segs" },
	{ 0x30afb355, "i2c_smbus_read_byte_data" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xcd897854, "pci_release_region" },
	{ 0xbb53856b, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x76042475, "netdev_info" },
	{ 0xed0aaf20, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9c058a0f, "register_netdevice" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f9c1b, "alloc_etherdev_mqs" },
	{ 0xc52da796, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdf4e1b02, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x363bc8e, "pci_request_region" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5b93b334, "skb_copy_bits" },
	{ 0x9cf647c7, "param_ops_uint" },
	{ 0xdf3cbe8c, "pci_enable_device" },
	{ 0x1f65024a, "skb_put" },
	{ 0x2c13c96b, "mtd_device_unregister" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa56c0270, "consume_skb" },
	{ 0x1049f334, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7e11a2ce, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8561b3b5, "i2c_bit_add_bus" },
	{ 0x9f4aa54b, "pci_dev_put" },
	{ 0x6f533588, "unregister_netdev" },
	{ 0xf07c56a3, "napi_get_frags" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x3d17423d, "pci_get_device" },
	{ 0xb33b872f, "dma_unmap_page_attrs" },
	{ 0xafe8216e, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc40a09ef, "pci_disable_msi" },
	{ 0x62b2583d, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x59c35894, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x73222018, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6e61df95, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xacbb5f82, "__netif_napi_del" },
	{ 0x8ddfe435, "unregister_netdevice_queue" },
	{ 0xf65d9fb5, "mtd_device_parse_register" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x50ef5c02, "netif_tx_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xdfc2c7d9, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xcfae5516, "netdev_features_change" },
	{ 0xadc16795, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40dadaa5, "i2c_new_dummy_device" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x23439f6a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa7831f72, "dma_map_page_attrs" },
	{ 0x86105133, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x39ac39ad, "__napi_schedule" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x7f86b60b, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x4c5a3954, "__alloc_skb" },
	{ 0xbba90fb3, "netif_device_detach" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0xc494c137, "__free_pages" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x4f825d6, "netif_device_attach" },
	{ 0x63e0fee5, "mdio45_links_ok" },
	{ 0x45a94878, "i2c_del_adapter" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6fe4f669, "iommu_get_domain_for_dev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaff4f3fa, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb0df04fd, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x8d5748f0, "pci_clear_master" },
	{ 0xe7fb6c66, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x2473f11a, "pci_enable_msi" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xefea49ed, "i2c_unregister_device" },
	{ 0x83d6ca92, "softnet_data" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5bdfe8f2, "netif_set_real_num_tx_queues" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x93d37d6e, "netif_set_real_num_rx_queues" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x71c698ea, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2776d02e, "dma_alloc_attrs" },
	{ 0xd67f6c09, "napi_enable" },
	{ 0xac71cdec, "netif_receive_skb" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcd245d48, "__put_devmap_managed_folio_refs" },
	{ 0xed6f715c, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75110e9f, "i2c_new_client_device" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "mdio,mtd,i2c-algo-bit");

MODULE_ALIAS("pci:v00001924d00000703sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000710sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "860CFA93ACB6B3F55DDAFCA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
