#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x36d47e7f, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x7d9c0765, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x302dbc6c, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xe8316f97, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x1ac786c7, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xb61a36c5, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x3bb70cf7, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xa546528a, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x9d9536d8, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0xbf941dfa, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xfa900ce1, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xf01f0a78, "_gpl");
SYMBOL_CRC(mt76s_init, 0x2dc5d3f1, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xae9cbecb, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0xcdd0be3f, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x0a03a633, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf8b8783b, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12044851, "pskb_expand_head" },
	{ 0x371a0b01, "mt76_tx_status_check" },
	{ 0xe1e80ae3, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe324dd5, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x10356933, "sdio_release_irq" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x4c5a3954, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x818cc998, "sdio_readsb" },
	{ 0x157899b3, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29ec0152, "__SCK__tp_func_dev_irq" },
	{ 0x2e06e02f, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcd245d48, "__put_devmap_managed_folio_refs" },
	{ 0x4098c9b9, "kthread_stop" },
	{ 0x23ed04d4, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8630766b, "mt76_queue_tx_complete" },
	{ 0x574089fd, "kthread_create_on_node" },
	{ 0x9971076f, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x915a2359, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x72de08be, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x1bb6701d, "sdio_claim_irq" },
	{ 0x313f768f, "mt76_skb_adjust_pad" },
	{ 0xcde7d903, "sdio_enable_func" },
	{ 0xc1f4a2de, "sdio_writesb" },
	{ 0xdc3bc129, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8b9bf4e1, "sdio_release_host" },
	{ 0xbf5ceef8, "sdio_disable_func" },
	{ 0xb3dc4f72, "sdio_set_block_size" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0x1f65024a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8fa4a0ce, "sdio_claim_host" },
	{ 0xa56c0270, "consume_skb" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "DD3EBA38DC402D80FB5B9D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
