#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x0adbac8f, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xed26f289, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x1becbf05, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x48952007, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x5bdf3a52, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x3c87997c, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x97d4e367, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0xea37e5d7, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0xdc813cf4, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x3f4bea9f, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x95f51df5, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x7c600ac2, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x39c78ec1, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x71483395, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x03c6ac0f, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xcfd5e6e3, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0xdacb1b88, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0xbab0b09c, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x9b4c317e, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x869eb5bf, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x017bc11c, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x43d938c6, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xc77d6d3a, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xf69c39c9, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x6543403a, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x4da2e662, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0xd5bbf549, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xbbb5651a, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x823a8085, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x44b918b5, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x09dc24c1, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x86a329db, "");
SYMBOL_CRC(wlcore_tx_complete, 0xaac5a7e1, "");
SYMBOL_CRC(wl1271_tx_flush, 0xbcdf3206, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x83227985, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x74645442, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x2358356f, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0xd5a77759, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0xde765fa5, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x8cf59842, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x4a60ff95, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xb765b22f, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xd2a83062, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x0ddf3164, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x1be0f50e, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xd188518e, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xff434ea3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x792809ec, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4e093436, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xaff4f3fa, "device_create_file" },
	{ 0x2076ff20, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xda4d749, "ieee80211_queue_delayed_work" },
	{ 0x61eb860, "ieee80211_proberesp_get" },
	{ 0xc9b56717, "device_wakeup_enable" },
	{ 0x87670936, "request_firmware_nowait" },
	{ 0x511a1acf, "simple_open" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7b1a39dc, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x990306af, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3f8e321, "skb_push" },
	{ 0x434b30c0, "debugfs_remove" },
	{ 0xade6df53, "no_seek_end_llseek" },
	{ 0xb707d748, "ieee80211_wake_queues" },
	{ 0xd2354d22, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x6ca137fa, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xd5590e90, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc6c95d3e, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xe24a9797, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x125d1dd5, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x42e3c062, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x39d2e4f2, "ieee80211_ready_on_channel" },
	{ 0xe037445d, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67691a6, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0xec52fff4, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xbb9d05e4, "ieee80211_sched_scan_results" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0xd59d19d0, "ieee80211_scan_completed" },
	{ 0xeecdfcd2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc82d495c, "dev_pm_clear_wake_irq" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5e9c01ef, "pm_runtime_force_resume" },
	{ 0x99b998d2, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc9e509e9, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xf486f0f5, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xef7b54d9, "ieee80211_queue_work" },
	{ 0xd41125a6, "__pm_runtime_use_autosuspend" },
	{ 0xbf38d7df, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x508f4b8a, "__pm_runtime_disable" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0x8e7ce0b, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdd5dbf1e, "pm_runtime_force_suspend" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x11104aa2, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xaa72a910, "device_remove_bin_file" },
	{ 0xed0aaf20, "device_remove_file" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0xb60d646d, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1b2db13f, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x93b420bb, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x45d0eb3e, "ieee80211_iterate_interfaces" },
	{ 0xdd908c88, "ieee80211_sched_scan_stopped" },
	{ 0x9cf647c7, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7da96e91, "ieee80211_chswitch_done" },
	{ 0x1f65024a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa56c0270, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x38f1de8f, "skb_dequeue" },
	{ 0xf666c7e4, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa0ffb6ba, "ieee80211_free_hw" },
	{ 0x6c7e4e89, "ieee80211_probereq_get" },
	{ 0x8162a570, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1c02f8ea, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b9ff179, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0xb7b17ca9, "ieee80211_pspoll_get" },
	{ 0x1449064d, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8ec7b580, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb4b3780a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xa7399ac2, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2cd9af3f, "ieee80211_stop_rx_ba_session" },
	{ 0xc439656e, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x31a82b1e, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x12d5d0eb, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x68172358, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xd8e1e0fa, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x20e149e0, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "6EE0A2ECE4C0A903468B07E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
