#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x81139a48, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x3a750342, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x93d51911, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x09519ceb, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0xee764fb7, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x448dc0a9, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0xa3a269f0, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x291da993, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x7bb281ee, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x3501f37e, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0x1982b0f9, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x002bb3b5, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x25179861, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x1b64bf88, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x6d4e9c6a, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x0e5f58bf, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0xc9b7389d, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0xa2939d38, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x26520f35, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xadf85445, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x2515bd2f, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x9bfc89e4, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0xf9d665db, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0xb8043a21, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x44771c95, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x7d6739b5, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0xef168684, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0xfceda98e, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0xd23f44e5, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0xa40bb7e5, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0xe2b5e228, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe1e80ae3, "wake_up_process" },
	{ 0x3bfc21fa, "trace_event_buffer_commit" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4241307a, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x66a2a3c5, "device_for_each_child_reverse" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb81eda17, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x31061c93, "init_srcu_struct" },
	{ 0xc517606d, "perf_trace_run_bpf_submit" },
	{ 0xd365b3a9, "devm_acpi_dev_add_driver_gpios" },
	{ 0x14e0b960, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x157899b3, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0xad1d907e, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x398547bd, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf6ff740b, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xd530f828, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6f1732b2, "driver_unregister" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8d8158bb, "cleanup_srcu_struct" },
	{ 0x6ed5e2f, "sysfs_create_group" },
	{ 0x4098c9b9, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4397c90a, "serdev_device_wait_until_sent" },
	{ 0xdb9534d1, "__serdev_device_driver_register" },
	{ 0x6a38c783, "bpf_trace_run1" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0xaa7aab62, "acpi_dev_clear_dependencies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbd8dc6bf, "kmem_cache_alloc_noprof" },
	{ 0xc9db1439, "fwnode_handle_get" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xeb1bf8e2, "serdev_device_write_buf" },
	{ 0xeddd417, "down_read" },
	{ 0x574089fd, "kthread_create_on_node" },
	{ 0xed2a85f9, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x4c5a25b6, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5fc2df5d, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xeda83401, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xb787bee, "dev_err_probe" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x5348a27f, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x9bd28a36, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x3afebc52, "bus_register" },
	{ 0x84450d8c, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x65b92f9f, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x1e4336c1, "is_acpi_device_node" },
	{ 0xfbc90fc7, "gpiod_put" },
	{ 0x93b420bb, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x16f146a7, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xc8dd61d7, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0xda716341, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34190124, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xcb780744, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc7c39f24, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8110d8e3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0xd4a4b726, "device_initialize" },
	{ 0xe968ed1e, "serdev_device_set_flow_control" },
	{ 0xcbb2320c, "trace_event_raw_init" },
	{ 0xf08cc5b5, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xea8ea74a, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0xfc318efe, "fwnode_get_next_child_node" },
	{ 0xc25a8f1a, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe79fe112, "synchronize_srcu" },
	{ 0x2aababb7, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xdfd78608, "serdev_device_set_parity" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "EF2AAD08B3A1B076322A34B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
