#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x61914bc4, "sysfs_update_group" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x58e637bd, "led_classdev_notify_brightness_hw_changed" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf176fadd, "misc_deregister" },
	{ 0x74789bfe, "remove_proc_entry" },
	{ 0x45ebf4e, "hwmon_device_unregister" },
	{ 0x19aab60, "iio_device_unregister" },
	{ 0x8c38e19d, "iio_device_free" },
	{ 0xc9fab571, "input_unregister_device" },
	{ 0x8d0cc03b, "backlight_device_unregister" },
	{ 0x239ab6d, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7ae3064, "battery_hook_unregister" },
	{ 0x9fb90087, "i8042_remove_filter" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xed2a85f9, "sysfs_remove_group" },
	{ 0x33df62fc, "device_remove_groups" },
	{ 0x2f4b9f5f, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x95945080, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4e66e37f, "single_open" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0x814ec810, "proc_mkdir" },
	{ 0x71f7bf2d, "__acpi_bus_register_driver" },
	{ 0xc67894e1, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xac40db77, "misc_register" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x7e2f81cb, "led_classdev_register_ext" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0xe808d70d, "backlight_device_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5c1dff1a, "input_allocate_device" },
	{ 0x52faad0b, "sparse_keymap_setup" },
	{ 0x8447fcf9, "input_free_device" },
	{ 0x6ed4ffa3, "input_register_device" },
	{ 0x3a1821f5, "i8042_install_filter" },
	{ 0x15fbe034, "iio_device_alloc" },
	{ 0x3eb4ab09, "hwmon_device_register_with_info" },
	{ 0x83429ed3, "__iio_device_register" },
	{ 0x3dfcb6fb, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0x6ed5e2f, "sysfs_create_group" },
	{ 0x4fc893c6, "proc_create_data" },
	{ 0x4a00846c, "proc_create_single_data" },
	{ 0xaaa667, "battery_hook_register" },
	{ 0x58497f07, "sparse_keymap_report_event" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x8e40c676, "noop_llseek" },
	{ 0x4ec465fa, "device_show_string" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0x1033ede4, "single_release" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0x33808f56, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,battery,wmi,video,sparse-keymap");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "8FD771499191DDAA302A9DE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
