#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x90f199bb, "usb_alloc_urb" },
	{ 0x574089fd, "kthread_create_on_node" },
	{ 0x1e847873, "usb_set_interface" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x9fb9e4c6, "param_array_ops" },
	{ 0x9cf647c7, "param_ops_uint" },
	{ 0xe24a9797, "param_ops_charp" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c0846f5, "usb_register_driver" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xb02434d3, "usbatm_usb_disconnect" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xab8ed349, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x157899b3, "_dev_err" },
	{ 0x4098c9b9, "kthread_stop" },
	{ 0x3c72d3b9, "usb_kill_urb" },
	{ 0xab8ffb04, "usb_free_urb" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0f144c7, "usb_ifnum_to_if" },
	{ 0xfed102e, "usb_driver_claim_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb23fe156, "usb_submit_urb" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8162a570, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cf0a351, "usb_bulk_msg" },
	{ 0x4df02057, "crc32_be" },
	{ 0xe0fb9299, "kernel_param_lock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2561a93d, "kernel_param_unlock" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x5a921311, "strncmp" },
	{ 0xec576d5e, "usb_reset_device" },
	{ 0x87670936, "request_firmware_nowait" },
	{ 0xa7e2bf59, "usbatm_usb_probe" },
	{ 0xe352d764, "atm_dev_signal_change" },
	{ 0xe1e80ae3, "wake_up_process" },
	{ 0x14e69ae1, "usb_deregister" },
	{ 0xd98cfbbc, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "21CCBC59DE60D60C031157F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
