#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x735de50f, "");
SYMBOL_CRC(w1_remove_master_device, 0xb794e83e, "");
SYMBOL_CRC(w1_register_family, 0x3d92b056, "");
SYMBOL_CRC(w1_unregister_family, 0xdfac7a03, "");
SYMBOL_CRC(w1_touch_bit, 0x106ca478, "_gpl");
SYMBOL_CRC(w1_write_8, 0xb7b55ef3, "_gpl");
SYMBOL_CRC(w1_triplet, 0x7c02b347, "_gpl");
SYMBOL_CRC(w1_read_8, 0x0bba1e75, "_gpl");
SYMBOL_CRC(w1_write_block, 0xc9aba632, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xf59b963f, "_gpl");
SYMBOL_CRC(w1_read_block, 0xe5b29ccc, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x794a5239, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xe222156f, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0xc630e400, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xb5e9a846, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a233d49, "cn_netlink_send_mult" },
	{ 0x4241307a, "put_device" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x96ecb31f, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x14e0b960, "bus_unregister" },
	{ 0x157899b3, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3eb4ab09, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6f1732b2, "driver_unregister" },
	{ 0x6ed5e2f, "sysfs_create_group" },
	{ 0x4098c9b9, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37c80cfb, "device_register" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x574089fd, "kthread_create_on_node" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0xed2a85f9, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4e4c31fa, "kobject_uevent" },
	{ 0x45ebf4e, "hwmon_device_unregister" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9bd28a36, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdb27d132, "cn_add_callback" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3afebc52, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc8dd61d7, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcb780744, "device_unregister" },
	{ 0x84636158, "sysfs_remove_groups" },
	{ 0x6aab63f6, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe1e80ae3, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "320C1A2BA3E16B52B6E59B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
