#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2bc7ca12, "unlock_two_nondirectories" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x809279d5, "__fscrypt_prepare_rename" },
	{ 0x49a5f756, "dquot_resume" },
	{ 0xf48e60c5, "bpf_trace_run5" },
	{ 0x9078ceac, "bdev_fput" },
	{ 0x23e92115, "setattr_copy" },
	{ 0xc1ab05b, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9841062f, "jbd2_fc_begin_commit" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0xa6eadb49, "write_cache_pages" },
	{ 0x689b3207, "file_update_time" },
	{ 0x346f68d2, "__wait_on_buffer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3ee0cd1, "fscrypt_ioctl_set_policy" },
	{ 0x8207c182, "set_nlink" },
	{ 0x542b50e6, "kmem_cache_alloc_lru_noprof" },
	{ 0xf6ff740b, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x44466f1e, "security_inode_init_security" },
	{ 0xb9819ee, "seq_putc" },
	{ 0x676a20f9, "fscrypt_decrypt_bio" },
	{ 0x4442b138, "jbd2_journal_revoke" },
	{ 0xbd6841d4, "crc16" },
	{ 0x5233cd5e, "from_kgid" },
	{ 0x95f55dad, "iomap_swapfile_activate" },
	{ 0xd5263820, "mb_cache_destroy" },
	{ 0xd530f828, "trace_event_reg" },
	{ 0x8bdfc47c, "__mb_cache_entry_free" },
	{ 0xb99fb3d4, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9b70291b, "__fscrypt_encrypt_symlink" },
	{ 0xd7636f5c, "folio_wait_writeback" },
	{ 0xec7e5829, "jbd2_journal_start_commit" },
	{ 0x3b996bb6, "bdev_freeze" },
	{ 0x38f0709f, "blkdev_issue_zeroout" },
	{ 0x74167cbc, "__fscrypt_prepare_link" },
	{ 0xf1e046cc, "panic" },
	{ 0x37086eaa, "kobject_init_and_add" },
	{ 0x66091936, "crypto_shash_update" },
	{ 0xb61a89ee, "from_vfsgid" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xe68185d, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61347034, "mb_cache_entry_delete_or_get" },
	{ 0xa6c48bca, "iov_iter_alignment" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x2a382dfa, "dax_writeback_mapping_range" },
	{ 0xbe9237f1, "jbd2_trans_will_send_data_barrier" },
	{ 0xe07ac1e4, "folio_wait_stable" },
	{ 0x38b4d551, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa9a17477, "d_obtain_alias" },
	{ 0x4791b1ec, "file_modified" },
	{ 0x24ddf6f9, "posix_acl_chmod" },
	{ 0x4098c9b9, "kthread_stop" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9d65419b, "__bread_gfp" },
	{ 0x6dd936cb, "from_kprojid" },
	{ 0x23bc9502, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3311c866, "fscrypt_put_encryption_info" },
	{ 0x649da63e, "freezing_slow_path" },
	{ 0x2a06cc0c, "folio_end_read" },
	{ 0x1d23c7b6, "block_dirty_folio" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x58f21a7f, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x3b74b53c, "dax_layout_busy_page" },
	{ 0xd7eac097, "iomap_bmap" },
	{ 0xc452212c, "utf8_strncasecmp" },
	{ 0x969c039, "__folio_start_writeback" },
	{ 0x6a38c783, "bpf_trace_run1" },
	{ 0x364b81f4, "set_task_ioprio" },
	{ 0x677c35ad, "folio_end_writeback" },
	{ 0x90f34386, "fscrypt_d_revalidate" },
	{ 0xdbcb0c5, "jbd2_journal_dirty_metadata" },
	{ 0x814ec810, "proc_mkdir" },
	{ 0xa332ec7e, "from_kuid" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5905faf7, "jbd2_journal_try_to_free_buffers" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x18542a57, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5ae0f808, "jbd2_transaction_committed" },
	{ 0x7ac80a94, "iomap_fiemap" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x89796509, "inode_owner_or_capable" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x50b80992, "mb_cache_entry_find_first" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x6dd4f9cd, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbd8dc6bf, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xee2cafa4, "filemap_get_folios" },
	{ 0xc78e7abf, "make_kgid" },
	{ 0x217a4820, "invalidate_bdev" },
	{ 0x51969fbe, "fscrypt_zeroout_range" },
	{ 0x6e93bd70, "jbd2_journal_wipe" },
	{ 0xece784c2, "rb_first" },
	{ 0x60257f55, "fscrypt_drop_inode" },
	{ 0x6486f4cf, "wbc_account_cgroup_owner" },
	{ 0xc7012f32, "from_kgid_munged" },
	{ 0x702ecae3, "jbd2_journal_start" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0x47739197, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xbfae9e07, "utf8_validate" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x138850a3, "dax_finish_sync_fault" },
	{ 0xee427a73, "dquot_get_dqblk" },
	{ 0x574089fd, "kthread_create_on_node" },
	{ 0xacd81eb3, "jbd2_inode_cache" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x68c4b489, "block_read_full_folio" },
	{ 0xd9b18d0f, "jbd2_fc_end_commit" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x3dfb6bc7, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xbec52951, "fscrypt_free_bounce_page" },
	{ 0x9077d9ac, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7f240329, "__dquot_alloc_space" },
	{ 0xfef1db4e, "fsverity_verify_bio" },
	{ 0xf1e86ebc, "generic_encode_ino32_fh" },
	{ 0x4138e542, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb4c7d793, "__fscrypt_inode_uses_inline_crypto" },
	{ 0x6b614707, "__fscrypt_prepare_readdir" },
	{ 0x8633341, "igrab" },
	{ 0x996e36a1, "_raw_write_trylock" },
	{ 0x6493ab1c, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd902db, "mb_cache_entry_create" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3f38cf7a, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x60dd9ad0, "kobject_del" },
	{ 0x80bb5a1c, "d_instantiate_new" },
	{ 0x4c5a25b6, "trace_event_buffer_reserve" },
	{ 0x2f904588, "__dquot_free_space" },
	{ 0x81a1eb59, "utf8_unload" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x2c70162a, "fs_param_is_blockdev" },
	{ 0x9d2426b6, "jbd2_fc_wait_bufs" },
	{ 0x1bed4207, "mempool_create_node_noprof" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0x4011483b, "generic_buffers_fsync_noflush" },
	{ 0xe81ddd25, "init_user_ns" },
	{ 0x13a7da02, "file_path" },
	{ 0x4be589b1, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0xcccaf953, "fscrypt_fname_disk_to_usr" },
	{ 0x8c6cca84, "inode_set_ctime_current" },
	{ 0x4cc944fa, "inc_nlink" },
	{ 0x92e8e9ab, "fsverity_enqueue_verify_work" },
	{ 0xf21605a5, "seq_write" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x72de08be, "__folio_put" },
	{ 0x4829cf6b, "fscrypt_enqueue_decrypt_work" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x74789bfe, "remove_proc_entry" },
	{ 0xbd96756e, "get_tree_bdev" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0705d37, "fscrypt_ioctl_get_policy" },
	{ 0x65de1ee2, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x95945080, "seq_printf" },
	{ 0xc5289360, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x628c9ef9, "find_inode_by_ino_rcu" },
	{ 0x6fb7ab77, "touch_atime" },
	{ 0x73a15561, "__percpu_down_read" },
	{ 0xfac07f0b, "jbd2_journal_force_commit" },
	{ 0xb2b575e9, "__lock_buffer" },
	{ 0x19a95f92, "tag_pages_for_writeback" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x26897b52, "mb_cache_entry_get" },
	{ 0xac8d6f16, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x794f5d6a, "posix_acl_update_mode" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0xb84bcd8d, "__folio_lock" },
	{ 0x205c5b13, "dquot_quota_on_mount" },
	{ 0x330863aa, "filemap_dirty_folio" },
	{ 0xc8d6d629, "fs_holder_ops" },
	{ 0x5c2b4d6, "blkdev_issue_flush" },
	{ 0xe1044650, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x25134d62, "fscrypt_set_bio_crypt_ctx" },
	{ 0xddbf2df8, "rcuwait_wake_up" },
	{ 0x2d610ec2, "dquot_mark_dquot_dirty" },
	{ 0xd43a02e, "fscrypt_prepare_symlink" },
	{ 0xd9f02710, "block_is_partially_uptodate" },
	{ 0x835c870d, "dquot_get_next_id" },
	{ 0xff95189a, "file_bdev" },
	{ 0x1e33d52f, "dquot_file_open" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe4acba45, "generic_fh_to_parent" },
	{ 0x598e86fa, "__fs_parse" },
	{ 0x99d4cfe7, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x6cedc333, "end_buffer_write_sync" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x6b9363f5, "dget_parent" },
	{ 0xa7454fde, "__seq_puts" },
	{ 0x1cfe6c0e, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x4a00846c, "proc_create_single_data" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xdf2937d5, "inode_io_list_del" },
	{ 0x1a3026d3, "jbd2_journal_lock_updates" },
	{ 0xa96f6a48, "filemap_write_and_wait_range" },
	{ 0xf9888fdf, "jbd2_journal_free_reserved" },
	{ 0xe54950f9, "dquot_acquire" },
	{ 0x86a6e4e, "dax_zero_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5a9ccf15, "generic_file_llseek_size" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd1ab375c, "jbd2_journal_errno" },
	{ 0x26d9b9f8, "fscrypt_prepare_new_inode" },
	{ 0x185a404a, "fsverity_ioctl_measure" },
	{ 0xb313831a, "fscrypt_limit_io_blocks" },
	{ 0x6cdb3cd6, "generic_write_checks" },
	{ 0x88bcd812, "dqget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4ae45a81, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x657ae473, "fscrypt_encrypt_pagecache_blocks" },
	{ 0x82b1512d, "fscrypt_get_symlink" },
	{ 0x7c3049ba, "dqput" },
	{ 0xb565291f, "dquot_quotactl_sysfile_ops" },
	{ 0x349cba85, "strchr" },
	{ 0x27ba3899, "filemap_fault" },
	{ 0xbaf43ede, "crypto_alloc_shash" },
	{ 0x6b5d1a63, "dquot_writeback_dquots" },
	{ 0xa9c3f986, "d_invalidate" },
	{ 0xadbdd118, "__mark_inode_dirty" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf938bbec, "dquot_get_next_dqblk" },
	{ 0x97c4afe2, "make_bad_inode" },
	{ 0x7dfaf8c6, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x4afcf543, "jbd2_wait_inode_data" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x45665fc9, "jbd2_journal_begin_ordered_truncate" },
	{ 0xbb53856b, "up_read" },
	{ 0x9b3db063, "dquot_load_quota_inode" },
	{ 0x98ff01c7, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x15c49ff8, "sb_min_blocksize" },
	{ 0x6e83df46, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1960c367, "iomap_seek_data" },
	{ 0xd9c49b9c, "jbd2_journal_flush" },
	{ 0xde529b32, "fscrypt_free_inode" },
	{ 0xf8305501, "jbd2_fc_end_commit_fallback" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0xf5895c70, "fscrypt_has_permitted_context" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa67df6c9, "dquot_destroy" },
	{ 0xaafe896e, "iget_failed" },
	{ 0x55b55c9d, "fscrypt_symlink_getattr" },
	{ 0x471efc29, "dquot_alloc" },
	{ 0x3ff00bf1, "fs_bio_set" },
	{ 0x84450d8c, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbed09097, "d_path" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xffac9358, "blkdev_issue_discard" },
	{ 0x2a1493ee, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x481814c4, "mb_cache_entry_find_next" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x8142a183, "dquot_commit" },
	{ 0x4c44020f, "truncate_inode_pages" },
	{ 0x8475c339, "percpu_free_rwsem" },
	{ 0x382b42a7, "bh_uptodate_or_lock" },
	{ 0x3266d712, "inode_init_owner" },
	{ 0xd00d52e7, "generic_fillattr" },
	{ 0xa934e263, "setattr_prepare" },
	{ 0x33aaad4c, "vfs_fsync_range" },
	{ 0xbb9a0074, "iget_locked" },
	{ 0x4ab69e71, "shrinker_alloc" },
	{ 0x24c5f28b, "generic_set_sb_d_ops" },
	{ 0x12631b5, "fscrypt_dio_supported" },
	{ 0x2fe4e95e, "clear_nlink" },
	{ 0xa0539a1f, "jbd2_complete_transaction" },
	{ 0x8e9ef66a, "file_check_and_advance_wb_err" },
	{ 0xbeb0d381, "filemap_flush" },
	{ 0xcc758417, "filemap_get_folios_tag" },
	{ 0x772e2a69, "__dquot_transfer" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x586383, "d_instantiate" },
	{ 0x13764232, "fsverity_ioctl_enable" },
	{ 0x545d4602, "pagecache_isize_extended" },
	{ 0xf68f2df0, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8dc6b11b, "blk_start_plug" },
	{ 0xdd2c169b, "mb_cache_create" },
	{ 0x56fc9565, "clear_inode" },
	{ 0x6333faae, "bpf_trace_run4" },
	{ 0x55ceb537, "iocb_bio_iopoll" },
	{ 0x23fea099, "dquot_set_dqinfo" },
	{ 0xa46d7067, "dquot_commit_info" },
	{ 0x5e1b8a35, "jbd2_journal_invalidate_folio" },
	{ 0xd1dc7ebf, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x44cac27c, "generic_fh_to_dentry" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x64635277, "jbd2_submit_inode_data" },
	{ 0xb0b8590e, "dquot_disable" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf1a2f48b, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xa6be4b28, "dquot_release" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa35d2f19, "fs_param_is_string" },
	{ 0x1fc823cb, "__folio_batch_release" },
	{ 0x32a43286, "dquot_free_inode" },
	{ 0xd0c3e8ce, "folio_unlock" },
	{ 0x1156ae4, "utf8_strncasecmp_folded" },
	{ 0x6d230fdf, "set_blocksize" },
	{ 0xfe4e8bf0, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xd6da0e4f, "fscrypt_parse_test_dummy_encryption" },
	{ 0xb0e602eb, "memmove" },
	{ 0x81f01e73, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x665a62c3, "filemap_map_pages" },
	{ 0x18b8a570, "jbd2_journal_forget" },
	{ 0x3bacb59d, "jbd2__journal_restart" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d51c030, "try_to_writeback_inodes_sb" },
	{ 0xcd12e369, "jbd2_journal_stop" },
	{ 0x34190124, "trace_raw_output_prep" },
	{ 0x3290e17e, "dquot_get_state" },
	{ 0x629fa6f8, "init_special_inode" },
	{ 0xdcbadff9, "fscrypt_fname_siphash" },
	{ 0xdbb720d, "fs_dax_get_by_bdev" },
	{ 0xa3852c0d, "unregister_filesystem" },
	{ 0xd3fac0b7, "__fscrypt_prepare_setattr" },
	{ 0xe30c5177, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8dfaed89, "bpf_trace_run6" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xe60e0db1, "__fscrypt_prepare_lookup" },
	{ 0x6fae24b7, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd1bb775b, "generic_error_remove_folio" },
	{ 0xbdbd2093, "__find_get_block" },
	{ 0xc7c39f24, "__trace_trigger_soft_disabled" },
	{ 0x27b97145, "__block_write_begin" },
	{ 0xcd5e51de, "jbd2_journal_set_triggers" },
	{ 0xc11e3498, "inode_needs_sync" },
	{ 0x57d16eb5, "inode_set_flags" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc5ef4e7e, "inode_query_iversion" },
	{ 0x23dff893, "fscrypt_ioctl_get_key_status" },
	{ 0x7f0999e5, "nop_posix_acl_access" },
	{ 0xdf45e80a, "jbd2_journal_load" },
	{ 0x5bc8ffc7, "nop_posix_acl_default" },
	{ 0x6029d996, "d_make_root" },
	{ 0x410cc86d, "page_cache_ra_unbounded" },
	{ 0x99101c8, "jbd2_journal_check_available_features" },
	{ 0x8110d8e3, "trace_event_printf" },
	{ 0x1a3ef195, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xcb255a9f, "__fsverity_file_open" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2fa4f3f, "jbd2_journal_set_features" },
	{ 0x7cf1a1a8, "sb_set_blocksize" },
	{ 0xf6ecdc0d, "read_cache_folio" },
	{ 0x3702f38e, "invalidate_mapping_pages" },
	{ 0xc9e79d46, "sync_filesystem" },
	{ 0xce7cb7f2, "noop_dirty_folio" },
	{ 0xc7bac64f, "end_buffer_read_sync" },
	{ 0xb41009e, "block_page_mkwrite" },
	{ 0x42c7ddc4, "folio_redirty_for_writepage" },
	{ 0xd7987177, "utf8_load" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xabeefa64, "fsnotify" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0x5e64d70e, "d_splice_alias" },
	{ 0x2ec00239, "jbd2__journal_start" },
	{ 0x499c411b, "jbd2_journal_unlock_updates" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0xcbb2320c, "trace_event_raw_init" },
	{ 0xcfefee6a, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x7c62f1c7, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1bafe60f, "from_vfsuid" },
	{ 0x8d095fd4, "ihold" },
	{ 0xc08e780, "fs_lookup_param" },
	{ 0xa3cda928, "fsverity_verify_blocks" },
	{ 0x92ee8049, "d_find_any_alias" },
	{ 0x535cd085, "inode_dio_wait" },
	{ 0x703360f2, "jbd2_journal_get_create_access" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4cc397b2, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xf228a864, "fscrypt_mergeable_bio" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xaee4c705, "finish_open" },
	{ 0x828b4848, "dax_iomap_rw" },
	{ 0xd00443b6, "jbd2_journal_init_dev" },
	{ 0x92b59e6b, "iput" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x6455528c, "fs_param_is_enum" },
	{ 0x97d36d50, "fs_param_is_s32" },
	{ 0x97b07ccf, "jbd2_journal_clear_features" },
	{ 0x81082940, "fscrypt_show_test_dummy_encryption" },
	{ 0x93188346, "iter_file_splice_write" },
	{ 0x31815657, "jbd2_journal_inode_ranged_wait" },
	{ 0x3e4186a2, "filemap_release_folio" },
	{ 0xc25a8f1a, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xf3932313, "mb_cache_entry_wait_unused" },
	{ 0xc3baf333, "remove_proc_subtree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x216867e2, "dax_iomap_fault" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x32ae5f79, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x21f0474b, "register_filesystem" },
	{ 0xf9198fd9, "dquot_transfer" },
	{ 0x986918b1, "d_tmpfile" },
	{ 0x2aababb7, "kmem_cache_create" },
	{ 0x9e20e24b, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9d0025f2, "bdev_thaw" },
	{ 0x7202b259, "jbd2_fc_release_bufs" },
	{ 0xae075a7c, "sync_inode_metadata" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x73f4a440, "fscrypt_ioctl_get_policy_ex" },
	{ 0x797bf4fa, "dquot_drop" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x65f2a311, "path_put" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0x8750f521, "submit_bh" },
	{ 0xa141e147, "vfs_setpos" },
	{ 0xbf8c6660, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x10a8326d, "fscrypt_decrypt_pagecache_blocks" },
	{ 0xd40d660a, "make_vfsuid" },
	{ 0xe6550092, "utf8_casefold" },
	{ 0xe1e80ae3, "wake_up_process" },
	{ 0x9f3c4b44, "shrinker_free" },
	{ 0x3bfc21fa, "trace_event_buffer_commit" },
	{ 0x14c45c86, "fscrypt_setup_filename" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x47cf016e, "crypto_destroy_tfm" },
	{ 0x51f01589, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x2d3ab506, "sysfs_notify" },
	{ 0x409353c6, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x101d4334, "iomap_dio_rw" },
	{ 0x5ed21828, "jbd2_fc_get_buf" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xb2b8328c, "fs_param_is_u32" },
	{ 0x8584d88, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x1657a102, "lock_two_nondirectories" },
	{ 0x7e6a5542, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x3ad3fd34, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x28c7c282, "mnt_want_write_file" },
	{ 0xa534c8fe, "unlock_new_inode" },
	{ 0x63160ae0, "fsverity_ioctl_read_metadata" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x400c12b9, "block_invalidate_folio" },
	{ 0xa012f73, "mb_cache_entry_touch" },
	{ 0xb49b2bfc, "buffer_migrate_folio_norefs" },
	{ 0x71c96c8b, "dquot_quota_sync" },
	{ 0x73ce1590, "make_kprojid" },
	{ 0x7c67fed4, "iomap_seek_hole" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xcaef79c6, "jbd2_journal_init_jbd_inode" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x373903c7, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xd4d00ceb, "fscrypt_set_context" },
	{ 0x8db93625, "try_to_free_buffers" },
	{ 0x6cf88913, "make_kuid" },
	{ 0x1b688200, "create_empty_buffers" },
	{ 0x18bbcd76, "truncate_inode_pages_final" },
	{ 0xd794de27, "block_write_end" },
	{ 0xa5849592, "d_alloc" },
	{ 0xa62e7cc8, "sync_blockdev" },
	{ 0xc7316e39, "fs_kobj" },
	{ 0x8227d092, "bio_add_folio" },
	{ 0x28291056, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xb644b0a2, "sync_mapping_buffers" },
	{ 0xad7f856a, "fscrypt_file_open" },
	{ 0x57d703fb, "generic_perform_write" },
	{ 0x56ff344b, "dquot_initialize" },
	{ 0x20961672, "shrinker_register" },
	{ 0x90bb0592, "__filemap_get_folio" },
	{ 0x35c65982, "fscrypt_set_bio_crypt_ctx_bh" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xaf57d506, "dquot_quota_on" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0x103ccda1, "dquot_initialize_needed" },
	{ 0xcb3c6aef, "dquot_reclaim_space_nodirty" },
	{ 0x7a1c619f, "__fsverity_prepare_setattr" },
	{ 0x916d0e17, "get_inode_acl" },
	{ 0xf24f7ad4, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xddd7328e, "fscrypt_mergeable_bio_bh" },
	{ 0xa33b1eba, "invalidate_inode_buffers" },
	{ 0x262f399c, "block_commit_write" },
	{ 0xf5dc0405, "blk_finish_plug" },
	{ 0x6486e87b, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbddd4a95, "submit_bio" },
	{ 0x681ff328, "mnt_drop_write_file" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa6a088b7, "fscrypt_match_name" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xcfab0b4e, "jbd2_journal_force_commit_nested" },
	{ 0xa2f26e21, "inode_init_once" },
	{ 0xd4decea3, "file_write_and_wait_range" },
	{ 0x93d7127a, "jbd2_journal_update_sb_errno" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xde2f8666, "dquot_claim_space_nodirty" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x56fe846e, "bit_waitqueue" },
	{ 0xc31704de, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xae9f6ae9, "__task_pid_nr_ns" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0x97292efb, "dquot_set_dqblk" },
	{ 0xd7a01d21, "bio_put" },
	{ 0x37ca9b, "jbd2_journal_start_reserved" },
	{ 0xf4c6faac, "percpu_up_write" },
	{ 0xbffba718, "jbd2_journal_clear_err" },
	{ 0xc008cf25, "__brelse" },
	{ 0x62bebe57, "posix_acl_create" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc517606d, "perf_trace_run_bpf_submit" },
	{ 0x7792b317, "jbd2_journal_init_inode" },
	{ 0xfc266182, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xacee6bd7, "fscrypt_ioctl_get_nonce" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x9c06fa9c, "jbd2_journal_abort" },
	{ 0xcd5ebf14, "generic_file_read_iter" },
	{ 0xa78ad2a7, "jbd2_journal_blocks_per_page" },
	{ 0x81ee8375, "inode_maybe_inc_iversion" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x68a8348e, "thp_get_unmapped_area" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x9128967e, "set_cached_acl" },
	{ 0x2ad60efd, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x87af4de4, "truncate_pagecache" },
	{ 0xb16fb31, "sync_dirty_buffer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x72807db, "init_uts_ns" },
	{ 0x85ff313d, "insert_inode_locked" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "jbd2,mbcache");


MODULE_INFO(srcversion, "5268A9B76AB3EA0FD0D30EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
