#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x4d791367, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x88dc73f0, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x451f1982, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x4dc14ec6, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x214e2a52, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xc9157a24, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x7bbe9f6f, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x971583c5, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x7a7e531d, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xba615f9f, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xf65d8b0d, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xf19affb8, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xcf79070a, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xa3816b6b, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x1b68d38b, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xef53fa20, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x04a5c44f, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x371f25b0, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x797271e3, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x4f1d877d, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x0dd017cd, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xaf8c9a4f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa02b001c, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x679a748b, "alloc_netdev_mqs" },
	{ 0x9c058a0f, "register_netdevice" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ddfe435, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe6a40a3d, "gro_cells_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x72f79686, "ip_route_output_flow" },
	{ 0xe9a82142, "dst_release" },
	{ 0xc35466db, "__dev_get_by_index" },
	{ 0x10751925, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0x3dcbb3ac, "netdev_state_change" },
	{ 0x63de2409, "ns_capable" },
	{ 0xea7701c5, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe6e61ba2, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x261202bd, "skb_scrub_packet" },
	{ 0x8ba87b15, "gro_cells_receive" },
	{ 0x5b93b334, "skb_copy_bits" },
	{ 0x693622a3, "__pskb_pull_tail" },
	{ 0x23439f6a, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x385fccdc, "ip6_mtu" },
	{ 0xa1149f16, "icmpv6_ndo_send" },
	{ 0x8184197b, "icmp_ndo_send" },
	{ 0x88945e35, "ipv4_mtu" },
	{ 0x66bcae7e, "dst_cache_get_ip4" },
	{ 0xa393c31c, "iptunnel_xmit" },
	{ 0xa0c5b693, "__skb_get_hash" },
	{ 0x12044851, "pskb_expand_head" },
	{ 0x48eb34fc, "dst_cache_set_ip4" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdb049988, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FCAB4742461F0DBD97A22CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
