#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x4175e31e, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0xed7aa186, "");
SYMBOL_CRC(nfc_find_se, 0x008e399d, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x64b06c6e, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x6f651d33, "");
SYMBOL_CRC(nfc_tm_data_received, 0x605fc8dd, "");
SYMBOL_CRC(nfc_tm_activated, 0x26d8ae60, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x14387574, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x683640df, "");
SYMBOL_CRC(nfc_targets_found, 0xf14911f6, "");
SYMBOL_CRC(nfc_target_lost, 0xdd74a8a1, "");
SYMBOL_CRC(nfc_driver_failure, 0x3e6c4ffc, "");
SYMBOL_CRC(nfc_add_se, 0x3fe13220, "");
SYMBOL_CRC(nfc_remove_se, 0x7f1886c6, "");
SYMBOL_CRC(nfc_se_transaction, 0x9fd93c34, "");
SYMBOL_CRC(nfc_se_connectivity, 0x657f90f5, "");
SYMBOL_CRC(nfc_class, 0xc29b9370, "");
SYMBOL_CRC(nfc_allocate_device, 0xe6e7268b, "");
SYMBOL_CRC(nfc_register_device, 0xea3cf308, "");
SYMBOL_CRC(nfc_unregister_device, 0xd8bd65a8, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x2b597d5a, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x26685531, "");
SYMBOL_CRC(nfc_proto_register, 0xf2ad9b83, "");
SYMBOL_CRC(nfc_proto_unregister, 0x352e90c9, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0xa2b92448, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x23257024, "sock_register" },
	{ 0x4c6fa37c, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x4241307a, "put_device" },
	{ 0x4c5a3954, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3bd95c21, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x792809ec, "skb_queue_tail" },
	{ 0xf23bc120, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc80d4bb3, "__sock_recv_timestamp" },
	{ 0xea2a24c6, "sock_no_shutdown" },
	{ 0x67452238, "devm_kfree" },
	{ 0xe6e61ba2, "init_net" },
	{ 0xfaa81987, "skb_pull" },
	{ 0xad1d907e, "device_add" },
	{ 0xdbf32919, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2a315b90, "sk_free" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x20347930, "sock_no_accept" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3f8e321, "skb_push" },
	{ 0xa9c59563, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xd5a43273, "nla_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x9252c222, "class_unregister" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x63de2409, "ns_capable" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x325be984, "lock_sock_nested" },
	{ 0x4aec1356, "sock_no_bind" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x560392a9, "skb_copy_datagram_iter" },
	{ 0x3dfcb6fb, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9f04dc08, "class_dev_iter_init" },
	{ 0xb36e2ae, "sk_alloc" },
	{ 0x48aa2c9a, "device_del" },
	{ 0x86f24276, "__sock_recv_wifi_status" },
	{ 0xbbe0987d, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa6cc2cb6, "sock_no_mmap" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0x3f9f2690, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x790fb6ca, "skb_recv_datagram" },
	{ 0xecfacfd2, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf8f485, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf80483c9, "skb_copy" },
	{ 0x3be99a99, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc4693968, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x3a9cb7b3, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x84a0f2cc, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2f266e19, "iov_iter_revert" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xf49505ed, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6c5e474a, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2977a15f, "sock_init_data" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x774a0a7c, "release_sock" },
	{ 0xb60d646d, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x56c46446, "class_find_device" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xd0071993, "skb_free_datagram" },
	{ 0xa8e82f78, "sock_queue_rcv_skb_reason" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x753ced0b, "class_dev_iter_next" },
	{ 0x5e68ffd6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x1f65024a, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc8dd61d7, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38f1de8f, "skb_dequeue" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0xd4a4b726, "device_initialize" },
	{ 0x61d5c048, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc4847929, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x515493bb, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x5b742afe, "__pskb_copy_fclone" },
	{ 0x2afa7a10, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x370a62, "sk_error_report" },
	{ 0x85097902, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd2ff49a2, "class_dev_iter_exit" },
	{ 0x92997ed8, "_printk" },
	{ 0xc558ceb1, "proto_unregister" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "4FE200478CB3DA54462AEAC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
