#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc1478ae, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdebf1893, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x48d991bc, "snd_hda_gen_update_outputs" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xa4ca4f65, "snd_hda_jack_unsol_event" },
	{ 0x8e0bc254, "snd_hda_gen_build_pcms" },
	{ 0xedcbf259, "snd_hda_mixer_amp_tlv" },
	{ 0x8eb5f26a, "snd_hda_pick_fixup" },
	{ 0x4f85e22b, "snd_hda_apply_fixup" },
	{ 0x7c71475f, "snd_hda_gen_parse_auto_config" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xb19a4816, "snd_hdac_codec_read" },
	{ 0x4c14d069, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x4ca41454, "snd_hda_codec_get_pin_target" },
	{ 0x3f1cf232, "snd_hda_gen_free" },
	{ 0xd3702be2, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x8c5377b0, "snd_hda_add_new_ctls" },
	{ 0xa3f05672, "snd_hda_gen_build_controls" },
	{ 0x77b45af5, "snd_hda_gen_mic_autoswitch" },
	{ 0x6ea41a55, "query_amp_caps" },
	{ 0xff338316, "snd_hda_mixer_amp_volume_info" },
	{ 0x26d46990, "snd_hdac_regmap_read_raw" },
	{ 0x867bd21d, "snd_hda_jack_detect_state_mst" },
	{ 0xf9ce374f, "snd_hda_gen_spec_init" },
	{ 0xd0950770, "snd_hda_mixer_amp_switch_info" },
	{ 0x2684af53, "hda_codec_driver_unregister" },
	{ 0x65a325aa, "snd_hda_add_new_path" },
	{ 0xbf37cf61, "snd_hdac_codec_write" },
	{ 0xfaf63409, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xa53d98b3, "snd_hda_gen_add_kctl" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x578c5611, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xfb6fbd8d, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0xf5097951, "snd_ctl_boolean_mono_info" },
	{ 0x67ad6cfe, "snd_hda_override_amp_caps" },
	{ 0xb73ae153, "__hda_codec_driver_register" },
	{ 0xfee08ec1, "snd_hda_jack_set_gating_jack" },
	{ 0xcfdb7c33, "snd_hda_parse_pin_defcfg" },
	{ 0xab2a3962, "snd_hda_gen_init" },
	{ 0x6613edb, "snd_hda_activate_path" },
	{ 0xe6c0e159, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x3dcfa356, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xfc8277f0, "snd_hda_codec_set_pin_target" },
	{ 0x1e2a3fe1, "snd_hda_gen_check_power_status" },
	{ 0xfbb80001, "snd_hdac_regmap_write_raw" },
	{ 0x623575dd, "snd_hda_mixer_amp_volume_get" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "FCC9773570B98D09FFC80A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
