#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(hda_cs_dsp_fw_ids, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_add_controls, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_control_remove, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_write_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_read_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");

SYMBOL_CRC(hda_cs_dsp_fw_ids, 0x2b707546, "_gpl");
SYMBOL_CRC(hda_cs_dsp_add_controls, 0xf223fd55, "_gpl");
SYMBOL_CRC(hda_cs_dsp_control_remove, 0xcadae5f3, "_gpl");
SYMBOL_CRC(hda_cs_dsp_write_ctl, 0x7b9867b2, "_gpl");
SYMBOL_CRC(hda_cs_dsp_read_ctl, 0xb474f8bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xf967a4ad, "cs_dsp_coeff_write_ctrl" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x6cb88fbf, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa3d5e445, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa317c9a4, "cs_dsp_get_ctl" },
	{ 0x157899b3, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88304a74, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x83474f27, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x492bbf42, "snd_ctl_add" },
	{ 0xe4986301, "cs_dsp_coeff_read_ctrl" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd");


MODULE_INFO(srcversion, "EFB40377276A94D6AB59AB7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
