#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x5e154a26, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x4cde08c3, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x98768d02, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x8c90a6ce, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0xa46e998c, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x1fa7294a, "");
SYMBOL_CRC(hda_dsp_probe, 0x72c311ea, "");
SYMBOL_CRC(hda_dsp_remove, 0xc70140ab, "");
SYMBOL_CRC(hda_power_down_dsp, 0x3488e1d3, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x8ed3148d, "");
SYMBOL_CRC(sof_hda_common_ops, 0x20df0b39, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0xa7fe7161, "pci_alloc_irq_vectors" },
	{ 0x4256d224, "intel_nhlt_get_dmic_geo" },
	{ 0x38ac4464, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0xf55d47fb, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x99862858, "hda_sdw_process_wakeen" },
	{ 0x24a19573, "hda_sdw_int_enable" },
	{ 0x3d0bed4d, "hda_bus_ml_init" },
	{ 0x3877777b, "hda_codec_probe_bus" },
	{ 0x46a5bd86, "sof_hda_bus_exit" },
	{ 0xc391b33a, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0xed74f3c, "sdw_intel_exit" },
	{ 0x6011e633, "hda_codec_check_for_state_change" },
	{ 0x4819fcc3, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c2acff0, "sdw_hda_dai_trigger" },
	{ 0xec3fcfab, "hda_bus_ml_free" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x5e7a897, "hda_dsp_cl_boot_firmware" },
	{ 0x2899829, "hda_dsp_pcm_hw_params" },
	{ 0x12c4ce18, "hda_sdw_check_lcount" },
	{ 0x79941e0e, "snd_intel_dsp_driver_probe" },
	{ 0xea1a5955, "pci_irq_vector" },
	{ 0x40766fbb, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xd9f1f630, "pci_ioremap_bar" },
	{ 0x7e05d5a4, "hda_dsp_ctrl_init_chip" },
	{ 0xa8c25d3f, "sdw_hda_dai_hw_free" },
	{ 0x1f99418d, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfd3d8ab, "hda_dsp_suspend" },
	{ 0xcbf9d505, "hda_dsp_runtime_suspend" },
	{ 0xdbe5ffcb, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95dce788, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xf854576b, "hda_dai_config" },
	{ 0x60b234fe, "hda_probes_unregister" },
	{ 0x87638c22, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x28fbb479, "hda_dsp_pcm_ack" },
	{ 0xc14d14b5, "hda_dsp_trace_release" },
	{ 0xee19f127, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x2d56f7fa, "hda_dsp_dump" },
	{ 0x10db5afb, "sdw_intel_startup" },
	{ 0x4b4335ba, "hda_dsp_pcm_pointer" },
	{ 0x712b8d5d, "sdw_intel_process_wakeen_event" },
	{ 0x8f830c22, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xacfb2cf8, "sof_mailbox_read" },
	{ 0x3eeee623, "hda_bus_ml_put_all" },
	{ 0x157899b3, "_dev_err" },
	{ 0x53080b41, "debugfs_create_bool" },
	{ 0xe449965c, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe2be8286, "__tracepoint_sof_intel_hda_irq" },
	{ 0xd545208a, "platform_device_unregister" },
	{ 0xaa21b1b5, "hda_dsp_trace_init" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x80071394, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x61d8de06, "hda_codec_device_remove" },
	{ 0x6f122ee4, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd918a95f, "snd_sof_dsp_update_bits" },
	{ 0x7503c2fc, "snd_sof_pci_update_bits" },
	{ 0x75abc8b9, "sof_hda_bus_init" },
	{ 0x64b8103d, "hda_dsp_runtime_idle" },
	{ 0x28e5933b, "hda_dsp_pcm_open" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x64dd5e33, "sdw_intel_lnl_hw_ops" },
	{ 0x48150285, "pci_set_master" },
	{ 0xe24a9797, "param_ops_charp" },
	{ 0xc4a8c8f2, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x9bf540d3, "hda_dsp_pcm_close" },
	{ 0x7eefac21, "dma_set_coherent_mask" },
	{ 0x62896f91, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x54c57968, "hda_check_ipc_irq" },
	{ 0x290a34e5, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0xab8281a4, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2baba3c8, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x284e9131, "sof_machine_unregister" },
	{ 0xd1b6634, "skl_dai" },
	{ 0xfd0d0c2e, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3270cd73, "sdw_intel_probe" },
	{ 0x6910eb3e, "snd_sof_load_firmware_raw" },
	{ 0xd4a8f844, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x111efc9a, "hda_is_chain_dma_supported" },
	{ 0x857509c1, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xbaa9d23, "dma_set_mask" },
	{ 0x942b4db1, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0xb787bee, "dev_err_probe" },
	{ 0x195ed71, "hda_dsp_stream_init" },
	{ 0x8a899a31, "hda_dsp_get_stream_ldp" },
	{ 0xeeb657a4, "hda_dsp_stream_free" },
	{ 0xf6114607, "hda_dsp_ctrl_get_caps" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x20763fa8, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x368def4d, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x8c7a0b2a, "hda_codec_i915_init" },
	{ 0x380fb251, "pci_free_irq_vectors" },
	{ 0x1363a1b6, "hda_dsp_check_stream_irq" },
	{ 0x7ff21b02, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x47124af5, "hda_dsp_ipc_get_window_offset" },
	{ 0xe5de5a05, "hda_ipc_msg_data" },
	{ 0xdb56d12c, "sof_machine_register" },
	{ 0x489ee237, "hdac_bus_eml_get_mutex" },
	{ 0x9d5cd72b, "snd_soc_acpi_intel_hda_machines" },
	{ 0x3dcd753c, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x84bda6f7, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x1acd51c1, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6c57cc1d, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xe2b91030, "hda_get_interface_mask" },
	{ 0xb5a50b0f, "hda_codec_i915_display_power" },
	{ 0x1e4336c1, "is_acpi_device_node" },
	{ 0x4f7cf505, "hda_dsp_pcm_trigger" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "32FAA0371678117CFFBAB54");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
