#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_parent_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x467baec3, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xdbaa0f08, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xf7eb4260, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xc926ca4d, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x2f8ef28e, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x9ff5605b, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x649166f7, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x4ec737cd, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x38f39004, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x382b46bc, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xcffc6d7f, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x70c3736b, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xbcd07655, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x22fa396c, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x9dcd48d9, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xbecada56, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x4cda4622, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x13166d45, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xd7480e96, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xa18cc799, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xd026e6d3, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xc2efc3d3, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x815803fc, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xe7f228de, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x251ff325, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xd8041eb1, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xd5ca8ab6, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xc90c1638, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x46a2c23f, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x62a42af3, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x09f70083, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0xbbec6059, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xafb50b2c, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xd39a4119, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x43a29c34, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x94db78be, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x3bd400ac, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x6e939279, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xd4ebd057, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x05a523b8, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x1f4cbbce, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x3008ccdb, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x79dc2297, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x30161820, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x65e9b0c7, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x3fa83dbb, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xcf95273b, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xbe52121b, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xc78c7baa, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xa9f0ac6d, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x86bfbbe8, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x8f06c07c, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x645bbb1c, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x74517c13, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xc90079db, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xc7653014, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xf0cbb4eb, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x3bb146e7, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xbb164d04, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xf3d05f4b, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x7c0ab7bd, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x871ef134, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x23161e06, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x6519877a, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x83013edf, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xa86ecb85, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x3e016e90, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xf03f3096, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x9b89c92d, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x5e29e327, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x2257a7ea, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x46906c38, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x846692a7, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x37737657, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x0962607a, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x24287a2e, "_gpl");
SYMBOL_CRC(cxl_setup_parent_dport, 0x9adc2e47, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x03cc75b6, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x804087db, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x00589ea2, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xe3ef1bef, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x119dbe67, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x5624c4f8, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x72805b31, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x41d1fece, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x78a4e943, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x187176f5, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x61713fd0, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xf152c5d1, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xb576ec8c, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x514a02fc, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xb2b1f557, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x90449659, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3dfb6bc7, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x60461ada, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4c5a25b6, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x546ef138, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xd3a0c463, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x814e2a51, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x95945080, "seq_printf" },
	{ 0xef21860b, "device_match_name" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x4f272028, "pci_walk_bus" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x1b3e4aa8, "__devm_add_action" },
	{ 0xdcd0ce7e, "pci_find_dvsec_capability" },
	{ 0xe18c8289, "device_find_child_by_name" },
	{ 0x172d0953, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd00a6dab, "pci_write_config_word" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x74f847e0, "pcie_bandwidth_available" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x9bd28a36, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xec983b31, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x954a618d, "pci_bus_type" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x3afebc52, "bus_register" },
	{ 0xc38dec21, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x7f9a6f2c, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6333faae, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xc8dd61d7, "dev_set_name" },
	{ 0x98ca7994, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34190124, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa13535bc, "cdev_device_del" },
	{ 0x8dfaed89, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xcb780744, "device_unregister" },
	{ 0xc7c39f24, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8110d8e3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x488293be, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xd4a4b726, "device_initialize" },
	{ 0xcbb2320c, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x6d37579e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc25a8f1a, "bpf_trace_run2" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0x894e9dce, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0xec53b0d8, "get_device" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7cea1b62, "platform_bus" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x3bfc21fa, "trace_event_buffer_commit" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x3d20dff5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xba3a9968, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x8c300953, "cdev_device_add" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x4241307a, "put_device" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9ed7741b, "bus_for_each_dev" },
	{ 0xbdd494b5, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x7c9cd4a3, "compat_ptr_ioctl" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc517606d, "perf_trace_run_bpf_submit" },
	{ 0x61914bc4, "sysfs_update_group" },
	{ 0x14e0b960, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x67452238, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x157899b3, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x53080b41, "debugfs_create_bool" },
	{ 0x4bc2e2b3, "bus_find_device" },
	{ 0xad1d907e, "device_add" },
	{ 0xd49e4997, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x8e40c676, "noop_llseek" },
	{ 0xf48e60c5, "bpf_trace_run5" },
	{ 0x3656c745, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x575e2d41, "kernfs_find_and_get_ns" },
	{ 0x434b30c0, "debugfs_remove" },
	{ 0xb4c20a7a, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xd530f828, "trace_event_reg" },
	{ 0x6573f300, "ida_free" },
	{ 0x6f1732b2, "driver_unregister" },
	{ 0x755a93af, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x96935ae1, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6070ba1c, "devm_release_action" },
	{ 0x48aa2c9a, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6453dbb4, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xe73b9729, "pci_print_aer" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd4007e3b, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xeddd417, "down_read" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "728661E6C21EC2980DC7939");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
