#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0xb787bee, "dev_err_probe" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xbe01c4b0, "devm_request_threaded_irq" },
	{ 0x882e6ef2, "iio_read_acpi_mount_matrix" },
	{ 0xafced48, "iio_read_mount_matrix" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xc56d5cb7, "iio_triggered_buffer_setup_ext" },
	{ 0x20e149e0, "pm_runtime_enable" },
	{ 0xf666c7e4, "pm_runtime_set_autosuspend_delay" },
	{ 0xd41125a6, "__pm_runtime_use_autosuspend" },
	{ 0x83429ed3, "__iio_device_register" },
	{ 0x1e4336c1, "is_acpi_device_node" },
	{ 0x6de26005, "acpi_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x54c320a6, "iio_device_id" },
	{ 0x36edeca4, "__devm_iio_trigger_alloc" },
	{ 0x3c6718c4, "iio_trigger_register" },
	{ 0xec53b0d8, "get_device" },
	{ 0x969185a, "__module_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd0cd6f8c, "iio_buffer_enabled" },
	{ 0xf8f2dd99, "i2c_smbus_read_word_data" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5e1809c6, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0x1cc483f7, "iio_push_to_buffers" },
	{ 0xf00726a0, "iio_trigger_notify_done" },
	{ 0x1c8225db, "iio_show_mount_matrix" },
	{ 0xe47afa66, "iio_read_const_attr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8021815, "i2c_register_driver" },
	{ 0x30afb355, "i2c_smbus_read_byte_data" },
	{ 0x157899b3, "_dev_err" },
	{ 0x6dcad2f0, "i2c_smbus_write_byte_data" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x19aab60, "iio_device_unregister" },
	{ 0x508f4b8a, "__pm_runtime_disable" },
	{ 0x8de01bc8, "__pm_runtime_set_status" },
	{ 0x4220f42a, "iio_triggered_buffer_cleanup" },
	{ 0xd0097a0b, "iio_trigger_unregister" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf486f0f5, "__pm_runtime_suspend" },
	{ 0xa8d3fd72, "iio_push_event" },
	{ 0xfd8f6866, "iio_get_time_ns" },
	{ 0x172bf824, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcab9a175, "i2c_del_driver" },
	{ 0x776f0dfb, "i2c_client_get_device_id" },
	{ 0xd19cee96, "devm_iio_device_alloc" },
	{ 0x1d713380, "devm_regulator_bulk_get_enable" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");
MODULE_ALIAS("i2c:SMO8500");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:SMO8500:*");

MODULE_INFO(srcversion, "F5B12A2744FFC6992FC4998");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
