#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x79a6c45f, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x67983d61, "");
SYMBOL_CRC(ivtv_api, 0xf9883d5f, "");
SYMBOL_CRC(ivtv_vapi, 0x50cd5704, "");
SYMBOL_CRC(ivtv_vapi_result, 0x55b17fb2, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xb15ecad0, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xb70f74f1, "");
SYMBOL_CRC(ivtv_udma_setup, 0x69c59cec, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xfa50da1b, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x71df8aee, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xca2879d6, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x4f614937, "");
SYMBOL_CRC(ivtv_firmware_check, 0x3467d45f, "");
SYMBOL_CRC(ivtv_claim_stream, 0x2f790c16, "");
SYMBOL_CRC(ivtv_release_stream, 0x728b8bd6, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x026b94fc, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x852d0247, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7fb6c66, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x79d157ab, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x881425d7, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x60a0234e, "v4l2_fh_is_singular" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb4c20a7a, "pci_read_config_word" },
	{ 0xbdad4144, "v4l2_ctrl_subscribe_event" },
	{ 0x6bc68373, "v4l2_fh_init" },
	{ 0x70a2cf13, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfcb4903f, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x561a7fce, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4098c9b9, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa0fcbd38, "v4l2_event_subscribe" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x48150285, "pci_set_master" },
	{ 0x24543d51, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x5bc8ea6e, "__v4l2_device_register_subdev" },
	{ 0x87d451d8, "v4l2_device_register" },
	{ 0x9df7b76f, "param_ops_string" },
	{ 0x5b135143, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x574089fd, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9438b796, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x801b09d6, "__dma_sync_single_for_device" },
	{ 0x7a76cf0e, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x52926397, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfc31353a, "v4l2_ctrl_new_std" },
	{ 0x9936f93b, "v4l2_ctrl_g_ctrl" },
	{ 0x1ee6671b, "cx2341x_handler_init" },
	{ 0xd7595f4, "cx2341x_handler_set_50hz" },
	{ 0xff1807aa, "v4l2_ctrl_handler_free" },
	{ 0x98e0c6f9, "v4l2_device_unregister" },
	{ 0x2d20265a, "pci_disable_device" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xbaa9d23, "dma_set_mask" },
	{ 0x35e732a5, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x80a41a3f, "v4l2_subdev_call_wrappers" },
	{ 0x6dbc0329, "dma_unmap_sg_attrs" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x38d975a3, "v4l2_event_queue" },
	{ 0xc013657f, "v4l2_i2c_new_subdev" },
	{ 0xace00ea4, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x8cc13d6f, "video_device_release_empty" },
	{ 0x32468096, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x73be9917, "pci_write_config_dword" },
	{ 0xb95b4d17, "v4l2_event_unsubscribe" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4fe4baa, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4a0e5cc3, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x624ad1cd, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf5a58e29, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdf3cbe8c, "pci_enable_device" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8561b3b5, "i2c_bit_add_bus" },
	{ 0x88c403f7, "v4l2_fh_del" },
	{ 0xb63436f6, "v4l2_i2c_new_subdev_board" },
	{ 0x1c520990, "kthread_flush_worker" },
	{ 0x2ce7421, "v4l2_fh_add" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xb33b872f, "dma_unmap_page_attrs" },
	{ 0x8162a570, "request_firmware" },
	{ 0xafe8216e, "__pci_register_driver" },
	{ 0x966f8592, "v4l2_ctrl_handler_init_class" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x7e1b4219, "unpin_user_pages" },
	{ 0x9fb9e4c6, "param_array_ops" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x17807f6c, "i2c_transfer_buffer_flags" },
	{ 0x90d885b4, "v4l2_subdev_init" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xdfc2c7d9, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe1e80ae3, "wake_up_process" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa7831f72, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2fb7775e, "v4l2_ctrl_handler_log_status" },
	{ 0x20397f19, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa3c78668, "video_devdata" },
	{ 0x42903cd9, "i2c_new_scanned_device" },
	{ 0x5a281440, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xbf942eca, "kthread_queue_work" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc494c137, "__free_pages" },
	{ 0x45a94878, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a9c9a7e, "__v4l2_ctrl_s_ctrl" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7A7359B5D12B06AA30A946F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
