#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_target_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0x67d38125, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0x134cefb9, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x455dcf2b, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0x20e2e49a, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0x21530a6c, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0xad954074, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0x1741522e, "");
SYMBOL_CRC(mptscsih_remove, 0xab826104, "");
SYMBOL_CRC(mptscsih_shutdown, 0x5d55c703, "");
SYMBOL_CRC(mptscsih_suspend, 0x3f2c7a0d, "");
SYMBOL_CRC(mptscsih_resume, 0x04cd30ec, "");
SYMBOL_CRC(mptscsih_show_info, 0x4d9a4853, "");
SYMBOL_CRC(mptscsih_info, 0xf556e7c6, "");
SYMBOL_CRC(mptscsih_qcmd, 0xd101699c, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x46772fba, "");
SYMBOL_CRC(mptscsih_slave_configure, 0x081cf98e, "");
SYMBOL_CRC(mptscsih_abort, 0xd5beadee, "");
SYMBOL_CRC(mptscsih_dev_reset, 0xf3c76576, "");
SYMBOL_CRC(mptscsih_target_reset, 0xfd062ccd, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x7a479dba, "");
SYMBOL_CRC(mptscsih_host_reset, 0x366a8492, "");
SYMBOL_CRC(mptscsih_bios_param, 0xa3fec343, "");
SYMBOL_CRC(mptscsih_io_done, 0x37ee466a, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0x372c7d0d, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0x3b3c8197, "");
SYMBOL_CRC(mptscsih_event_process, 0x46084d0a, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0xa44e7d4b, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x1a858736, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x3fc7f8d8, "scsi_host_put" },
	{ 0x5db93bdd, "mpt_detach" },
	{ 0x9e92e676, "scsi_block_requests" },
	{ 0xf6985164, "mpt_suspend" },
	{ 0xdd120925, "mpt_resume" },
	{ 0xb1c1679b, "scsi_unblock_requests" },
	{ 0x7d1b3892, "mpt_print_ioc_summary" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95945080, "seq_printf" },
	{ 0xe0d30e, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe3be6332, "mpt_put_msg_frame" },
	{ 0xb12aaef4, "mpt_free_msg_frame" },
	{ 0x291a029c, "scsi_dma_map" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x38fb057e, "mpt_GetIocState" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x99ecfbd2, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xca7a4fef, "mpt_send_handshake_request" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x48a8ba0, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x509b6bcf, "mpt_Soft_Hard_ResetHandler" },
	{ 0x8c416884, "mpt_put_msg_frame_hi_pri" },
	{ 0xc50ef34e, "mpt_HardResetHandler" },
	{ 0xc9d72116, "scsi_print_command" },
	{ 0x84118d51, "scsi_done" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0x58efa059, "mpt_halt_firmware" },
	{ 0x65b45cb, "complete" },
	{ 0x66a1aa3f, "scsi_change_queue_depth" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf03199d, "mpt_raid_phys_disk_get_num_paths" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3594e65b, "mpt_raid_phys_disk_pg1" },
	{ 0x7e42f145, "scsi_dma_unmap" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,mptbase,scsi_common");


MODULE_INFO(srcversion, "FD45EE1B036082930164509");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
