#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x728dd6d3, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x04122d40, "");
SYMBOL_CRC(team_options_register, 0x4e8189de, "");
SYMBOL_CRC(team_options_unregister, 0xaa6139ab, "");
SYMBOL_CRC(team_option_inst_set_change, 0x7d69d372, "");
SYMBOL_CRC(team_options_change_check, 0x56e40bd8, "");
SYMBOL_CRC(team_mode_register, 0xda0dab94, "");
SYMBOL_CRC(team_mode_unregister, 0x201e933f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9482404b, "netdev_has_upper_dev" },
	{ 0x2ce3d2a7, "netdev_change_features" },
	{ 0x729aa975, "netdev_lower_state_changed" },
	{ 0x7c203e97, "netdev_master_upper_dev_link" },
	{ 0xcd4f09b9, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x12ec5a1c, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0x4f7526ac, "vlan_vids_del_by_dev" },
	{ 0xe7ca6f37, "__netpoll_setup" },
	{ 0xfe9ffa45, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c73c46d, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8ec78871, "call_netdevice_notifiers" },
	{ 0x1d15c9b8, "vlan_vid_del" },
	{ 0xbdae9fbf, "dev_set_allmulti" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19c134d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3be99a99, "skb_clone" },
	{ 0x15a12462, "netif_carrier_on" },
	{ 0xbf3d6daa, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xae6daf25, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x84a0f2cc, "genl_unregister_family" },
	{ 0x393ed811, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7fe42bb4, "dev_mc_unsync" },
	{ 0xf49505ed, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x76042475, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4b508276, "dev_mc_sync_multiple" },
	{ 0x9c058a0f, "register_netdevice" },
	{ 0xea7701c5, "dev_set_mtu" },
	{ 0x5e68ffd6, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x28173937, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa56c0270, "consume_skb" },
	{ 0xb42b6fef, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8ba2f03e, "netpoll_send_skb" },
	{ 0xc66003e7, "rtnl_link_register" },
	{ 0xc4847929, "genlmsg_put" },
	{ 0x911b07a6, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x719d5deb, "dev_set_promiscuity" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x73222018, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc1694f77, "dev_uc_unsync" },
	{ 0xfaf00876, "ether_setup" },
	{ 0x2afa7a10, "netlink_broadcast_filtered" },
	{ 0xadc16795, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x798dabcb, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd31dac03, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x4c5a3954, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23bc120, "module_put" },
	{ 0x7d6d7186, "dev_uc_flush" },
	{ 0xb0df04fd, "dev_open" },
	{ 0x5769a7fe, "rtnl_link_unregister" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf78e7217, "dev_mc_flush" },
	{ 0xdbf32919, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xccf9b4c9, "dev_get_by_index" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x71c698ea, "dev_close" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x71a0014d, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xed6f715c, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc883e875, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x15329b94, "dev_set_mac_address" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "561373C1F985F9DBEF98931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
