#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x1449064d, "ieee80211_register_hw" },
	{ 0x376a8eca, "ieee80211_emulate_change_chanctx" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x43995cb6, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x68172358, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6b335a0e, "ieee80211_tx_status_irqsafe" },
	{ 0x4cf0a351, "usb_bulk_msg" },
	{ 0xec576d5e, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0xb23fe156, "usb_submit_urb" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x792809ec, "skb_queue_tail" },
	{ 0xf1683d9b, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x157899b3, "_dev_err" },
	{ 0x191e4076, "usb_free_coherent" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3f8e321, "skb_push" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xab8ed349, "usb_control_msg" },
	{ 0xb707d748, "ieee80211_wake_queues" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd5590e90, "ieee80211_alloc_hw_nm" },
	{ 0x14e69ae1, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x613224ae, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x99ffb2fe, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x42e3c062, "__netdev_alloc_skb" },
	{ 0xe037445d, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x99b998d2, "ieee80211_unregister_hw" },
	{ 0xa73dd369, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c72d3b9, "usb_kill_urb" },
	{ 0xc9e509e9, "ieee80211_beacon_get_tim" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x248e0747, "ieee80211_emulate_remove_chanctx" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x122c246a, "ieee80211_rx_irqsafe" },
	{ 0xc5f804d0, "usb_put_intf" },
	{ 0x90f199bb, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xab8ffb04, "usb_free_urb" },
	{ 0x1f65024a, "skb_put" },
	{ 0x575d193c, "usb_alloc_coherent" },
	{ 0xa56c0270, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x38f1de8f, "skb_dequeue" },
	{ 0xa0ffb6ba, "ieee80211_free_hw" },
	{ 0x8162a570, "request_firmware" },
	{ 0x4c0846f5, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe1a95738, "regulatory_hint" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "08CC1E713D251B19867AB6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
