#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0x0c1e8d6c, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0xda6d0c3b, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0x63e77680, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0xc1ce31bd, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0xc8ff4585, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x5acdda6b, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0x2fa96fa7, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0xe0ab7649, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0x0e5f5d1d, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0xa314f8c5, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0xf36001c8, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0x14705925, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0x81b38590, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0xc7d3a702, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0xfb89b54a, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0x1e375182, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0x159e3a54, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0xeefb0d6c, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0x2983a206, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0x04c05f63, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0x7da22b61, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0xf983a7ad, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0xe83f36db, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0xc74713f8, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0x8c921a14, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0xbb3af547, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0xc9c5a30a, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0xdbe2ddb1, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0x5c1232bf, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0x02f2bfd6, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0x6bf812b2, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0xfa68f908, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0x5a2ec44b, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0x3f0b1a25, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0x7cb2bc7a, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0xd6180ed4, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0x91030ba1, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0xa53c240c, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0xd23677db, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0x295a451e, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0xebc519ed, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0x5c618500, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0x866d460f, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0x225e51de, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0x5927b08e, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0xba3ed277, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0x30058a40, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0x7070bd2b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3238fc1b, "_dev_printk" },
	{ 0x1ddb790b, "iscsi_dbg_trace" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x84118d51, "scsi_done" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92997ed8, "_printk" },
	{ 0x4f4d7577, "scsi_add_host_with_dma" },
	{ 0xb8df510e, "scsi_host_alloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3fc7f8d8, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x57d35ee1, "scsi_host_get" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x7ed06541, "iscsi_remove_session" },
	{ 0xa759cfd0, "iscsi_alloc_conn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x1c53f13e, "iscsi_add_conn" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x84a3bd0a, "iscsi_put_conn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x51b43702, "iscsi_unblock_session" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf0a2b550, "__tracepoint_iscsi_dbg_eh" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf7e749fb, "__SCT__tp_func_iscsi_dbg_eh" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2f396614, "iscsi_conn_error_event" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xe8eaf338, "__tracepoint_iscsi_dbg_conn" },
	{ 0x15dc8bab, "__SCT__tp_func_iscsi_dbg_conn" },
	{ 0x30030592, "__tracepoint_iscsi_dbg_session" },
	{ 0x52575134, "__SCT__tp_func_iscsi_dbg_session" },
	{ 0xd1b0025, "iscsi_recv_pdu" },
	{ 0x354fe533, "iscsi_host_for_each_session" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0xbc0e5ccd, "scsi_remove_host" },
	{ 0x97a81a72, "iscsi_force_destroy_session" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x96ecb31f, "flush_signals" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7d749855, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xe361ad07, "iscsi_free_session" },
	{ 0xf23bc120, "module_put" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x44b594d, "iscsi_session_chkready" },
	{ 0xf7370f56, "system_state" },
	{ 0x4369b5e8, "iscsi_alloc_session" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5e68ffd6, "try_module_get" },
	{ 0x7668df, "iscsi_add_session" },
	{ 0x2a5b742a, "iscsi_remove_conn" },
	{ 0x7925facb, "iscsi_get_conn" },
	{ 0xdf9aa907, "iscsi_block_session" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x949041f3, "__SCK__tp_func_iscsi_dbg_eh" },
	{ 0x28fefe79, "__SCK__tp_func_iscsi_dbg_session" },
	{ 0xd7104e25, "__SCK__tp_func_iscsi_dbg_conn" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D2C8AD88B4623AE89808360");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
