#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0xe09e39a7, "");
SYMBOL_CRC(sdw_amd_exit, 0x86dc9d1b, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0x7aa71e4b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x147f4860, "sdw_stream_remove_master" },
	{ 0x157899b3, "_dev_err" },
	{ 0xd545208a, "platform_device_unregister" },
	{ 0x7b1a39dc, "platform_get_resource" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7d4e6e0, "__platform_driver_register" },
	{ 0x62896f91, "devm_kasprintf" },
	{ 0x17714a78, "sdw_stream_add_master" },
	{ 0x290a34e5, "platform_device_register_full" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x93fd8437, "acpi_fetch_acpi_dev" },
	{ 0xbbedbc76, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x71269397, "sdw_bus_master_delete" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xd41125a6, "__pm_runtime_use_autosuspend" },
	{ 0x508f4b8a, "__pm_runtime_disable" },
	{ 0xc5d7873e, "sdw_compute_slave_ports" },
	{ 0x8604bf3e, "sdw_bus_exit_clk_stop" },
	{ 0xd2c4e0fe, "sdw_master_read_prop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x7c195009, "sdw_bus_prep_clk_stop" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x41004e26, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc5fee996, "sdw_bus_clk_stop" },
	{ 0xf666c7e4, "pm_runtime_set_autosuspend_delay" },
	{ 0xbdaf0746, "sdw_bus_master_add" },
	{ 0x488293be, "devm_ioremap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x6d37579e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x891aab90, "sdw_handle_slave_status" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8de01bc8, "__pm_runtime_set_status" },
	{ 0x9869b87b, "devm_snd_soc_register_component" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x20e149e0, "pm_runtime_enable" },
	{ 0x2eeef0a7, "fwnode_property_read_u32_array" },
	{ 0x69cbb42a, "sdw_clear_slave_status" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "041BA0400AB85FF826A2BC6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
