#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cdc_wdm_register, "", "");

SYMBOL_CRC(usb_cdc_wdm_register, 0x4b31e882, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c0846f5, "usb_register_driver" },
	{ 0x14e69ae1, "usb_deregister" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x90f199bb, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x48d1e84a, "usb_register_dev" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x34c72b7e, "wwan_create_port" },
	{ 0x1139641e, "cdc_parse_cdc_header" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4c5a3954, "__alloc_skb" },
	{ 0x1f65024a, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x922afc84, "wwan_port_rx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x6a445b5f, "usb_deregister_dev" },
	{ 0xb74c31cd, "wwan_remove_port" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1000e51, "schedule" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8e40c676, "noop_llseek" },
	{ 0x7c9cd4a3, "compat_ptr_ioctl" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xb23fe156, "usb_submit_urb" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x157899b3, "_dev_err" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x775436b6, "usb_autopm_get_interface" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xccf8aaa2, "usb_autopm_put_interface" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x37a0cba, "kfree" },
	{ 0xab8ffb04, "usb_free_urb" },
	{ 0x946427d9, "usb_poison_urb" },
	{ 0x59ebef65, "usb_unpoison_urb" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x526bcf2a, "wwan_port_get_drvdata" },
	{ 0x4dff61e5, "wwan_port_txoff" },
	{ 0x3d9bbf75, "wwan_port_txon" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc09ip*in*");

MODULE_INFO(srcversion, "AE4220D91B8ABC3E9AB66DF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
