#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0xa9bc3ed2, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0x456aa8c6, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0x6f663d57, "_gpl");
SYMBOL_CRC(rndis_uninit, 0x4059cfc1, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0x98f30490, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0x0bd7961e, "_gpl");
SYMBOL_CRC(rndis_register, 0x73bdc004, "_gpl");
SYMBOL_CRC(rndis_deregister, 0xf7dc09b4, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0xdd8656fa, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0x20cb3198, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0xededa905, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x2aa497ad, "_gpl");
SYMBOL_CRC(rndis_free_response, 0x948ced5c, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0x16d1d3a7, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0xb032316b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca3819d9, "gether_get_host_addr_u8" },
	{ 0x586cff76, "gether_set_qmult" },
	{ 0x84ff863, "config_group_init_type_name" },
	{ 0x2a4d89ee, "gether_get_host_addr" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3f8e321, "skb_push" },
	{ 0xbee212c2, "gether_set_gadget" },
	{ 0x6573f300, "ida_free" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0xb981df03, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x129639bb, "usb_put_function_instance" },
	{ 0x52570a8d, "netif_tx_wake_queue" },
	{ 0x600d67c, "gether_connect" },
	{ 0x810e670, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x967bfdc5, "gether_set_host_addr" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0x773a2bef, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x73ba0cb8, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x80e2ad81, "usb_ep_alloc_request" },
	{ 0xafd55c15, "gether_get_ifname" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x91878016, "gether_set_ifname" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x74789bfe, "remove_proc_entry" },
	{ 0x19c134d, "netif_carrier_off" },
	{ 0x95945080, "seq_printf" },
	{ 0x15a12462, "netif_carrier_on" },
	{ 0x1033ede4, "single_release" },
	{ 0xa22a8e7, "gether_setup_name_default" },
	{ 0xf20eecb0, "usb_ep_queue" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xd7c9dfec, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0xfbb36f98, "usb_ep_enable" },
	{ 0xa14a6557, "usb_ep_disable" },
	{ 0x4e66e37f, "single_open" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x54ed722d, "usb_free_all_descriptors" },
	{ 0x1991ccb7, "usb_gstrings_attach" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x2e153803, "dev_get_stats" },
	{ 0x6224f7ef, "usb_os_desc_prepare_interf_dir" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa56c0270, "consume_skb" },
	{ 0x882b8b1c, "usb_interface_id" },
	{ 0x72609f06, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0x4fc893c6, "proc_create_data" },
	{ 0xab548d57, "gether_disconnect" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x82dbc63, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1a86db3, "config_ep_by_speed" },
	{ 0x613d1602, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x834e94f7, "gether_register_netdev" },
	{ 0x792809ec, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x17c1f90d, "usb_function_register" },
	{ 0x157899b3, "_dev_err" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "820327E372FCA23F590BEE7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
