#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x71b73e27, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x023488c4, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xe650aa65, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x4328280c, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xde061968, "");
SYMBOL_CRC(fuse_abort_conn, 0xa406bf77, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x85432b50, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xa59ac029, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x8079f503, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x0fc6d036, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x6128dd97, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x66137cd2, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x56f3dd98, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xd76a71a3, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xb755e95d, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xbc01d34c, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x871c1a41, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xb07cdc6f, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x5fe896b5, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xeb8c6b05, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xf7f1848c, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xc061ce4c, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x60ed77f7, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xe71b5b01, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xf9f764a0, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x509d638e, "");
SYMBOL_CRC(fuse_do_ioctl, 0xd1d35779, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x7be72887, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x762d10ec, "setattr_should_drop_suidgid" },
	{ 0x710fad77, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x9646d9f5, "iov_iter_extract_pages" },
	{ 0x95a46f8e, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x16aaad58, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xa651d277, "fs_context_for_submount" },
	{ 0xa2f26e21, "inode_init_once" },
	{ 0xd4decea3, "file_write_and_wait_range" },
	{ 0x7c9cd4a3, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x45997b40, "nosteal_pipe_buf_ops" },
	{ 0x4a38a95e, "ilookup5" },
	{ 0x7e0ff729, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfad4a59e, "inode_nohighmem" },
	{ 0x2551839b, "release_pages" },
	{ 0xe2f78605, "generic_file_direct_write" },
	{ 0xfc266182, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xcd5ebf14, "generic_file_read_iter" },
	{ 0x81ee8375, "inode_maybe_inc_iversion" },
	{ 0xccfd082d, "unlock_page" },
	{ 0xfa83f2ca, "inc_node_page_state" },
	{ 0x68a8348e, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x87af4de4, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x64e08229, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xe1d5986f, "backing_file_splice_read" },
	{ 0x16f44b2b, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa6eadb49, "write_cache_pages" },
	{ 0x689b3207, "file_update_time" },
	{ 0x8207c182, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x542b50e6, "kmem_cache_alloc_lru_noprof" },
	{ 0xf6ff740b, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5233cd5e, "from_kgid" },
	{ 0x51c5d2c8, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8a11b1ec, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9d43754d, "write_inode_now" },
	{ 0x2a382dfa, "dax_writeback_mapping_range" },
	{ 0xa9a17477, "d_obtain_alias" },
	{ 0x4791b1ec, "file_modified" },
	{ 0x2f9b5d4d, "copy_page_to_iter" },
	{ 0xcd245d48, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2a06cc0c, "folio_end_read" },
	{ 0xb80b2eec, "finish_no_open" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0x969c039, "__folio_start_writeback" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x2ce5c78, "kill_litter_super" },
	{ 0x677c35ad, "folio_end_writeback" },
	{ 0x753b9d0f, "folio_alloc_noprof" },
	{ 0xa332ec7e, "from_kuid" },
	{ 0x4557bcb2, "current_in_userns" },
	{ 0xdcb8022c, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x73db3ffa, "sysfs_remove_mount_point" },
	{ 0xac40db77, "misc_register" },
	{ 0xc294f08a, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbd8dc6bf, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc78e7abf, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xd38f8a73, "d_delete" },
	{ 0xc7012f32, "from_kgid_munged" },
	{ 0x6f2271af, "end_page_writeback" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x47739197, "kobject_create_and_add" },
	{ 0xeddd417, "down_read" },
	{ 0x175a464, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e5eddeb, "nonseekable_open" },
	{ 0x138850a3, "dax_finish_sync_fault" },
	{ 0xfc44faf2, "set_page_dirty" },
	{ 0xa02bc3c7, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x568fb125, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbe64006, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8633341, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3f38cf7a, "generic_read_dir" },
	{ 0xcf011fef, "d_add" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0xe81ddd25, "init_user_ns" },
	{ 0xef804956, "folio_copy" },
	{ 0xd8535cb3, "d_find_alias" },
	{ 0x5965e3cc, "invalidate_inode_pages2" },
	{ 0x8c6cca84, "inode_set_ctime_current" },
	{ 0x4cc944fa, "inc_nlink" },
	{ 0xf21605a5, "seq_write" },
	{ 0x72de08be, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbd96756e, "get_tree_bdev" },
	{ 0x4c1b1857, "set_anon_super_fc" },
	{ 0x95945080, "seq_printf" },
	{ 0xc5289360, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x61091617, "generic_delete_inode" },
	{ 0xebd1fdec, "deactivate_locked_super" },
	{ 0x6fb7ab77, "touch_atime" },
	{ 0x73a15561, "__percpu_down_read" },
	{ 0x6702064a, "__d_lookup_unhash_wake" },
	{ 0xc3cf3540, "set_page_dirty_lock" },
	{ 0x8ba38d09, "pid_nr_ns" },
	{ 0xb6069120, "generic_file_open" },
	{ 0xd3df11, "truncate_inode_pages_range" },
	{ 0xe4bc5ac2, "__put_user_ns" },
	{ 0x5fc0e2de, "alloc_pages_noprof" },
	{ 0xb84bcd8d, "__folio_lock" },
	{ 0x330863aa, "filemap_dirty_folio" },
	{ 0xba881f8f, "pagecache_get_page" },
	{ 0x7e6b1b94, "stream_open" },
	{ 0xddbf2df8, "rcuwait_wake_up" },
	{ 0xd47ef22c, "node_data" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x63e6ea20, "__wake_up_sync" },
	{ 0xa6280de8, "add_to_pipe" },
	{ 0x598e86fa, "__fs_parse" },
	{ 0xc3a412ed, "dax_layout_busy_page_range" },
	{ 0x99d4cfe7, "filemap_splice_read" },
	{ 0x3e02140, "posix_acl_to_xattr" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x6b9363f5, "dget_parent" },
	{ 0x53c5b333, "kill_anon_super" },
	{ 0x1cfe6c0e, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x620ce1d9, "iget5_locked" },
	{ 0x90c9348e, "security_dentry_init_security" },
	{ 0xa96f6a48, "filemap_write_and_wait_range" },
	{ 0x4b4d703, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x6cdb3cd6, "generic_write_checks" },
	{ 0x2f266e19, "iov_iter_revert" },
	{ 0xdaa2a282, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x13d42a59, "mntget" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x27ba3899, "filemap_fault" },
	{ 0xa9c3f986, "d_invalidate" },
	{ 0xadbdd118, "__mark_inode_dirty" },
	{ 0x8e7ce0b, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x16b2aa57, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x6e83df46, "drop_nlink" },
	{ 0x22767f0a, "fault_in_iov_iter_readable" },
	{ 0x243ffc21, "filemap_check_errors" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x3a6fef23, "bdi_set_max_ratio" },
	{ 0x84450d8c, "kmem_cache_destroy" },
	{ 0x2a1493ee, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x58fc595c, "super_setup_bdi_name" },
	{ 0x3f85ae31, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4c44020f, "truncate_inode_pages" },
	{ 0x2e81cfbe, "noop_backing_dev_info" },
	{ 0x138050c4, "pipe_lock" },
	{ 0xd00d52e7, "generic_fillattr" },
	{ 0x33aaad4c, "vfs_fsync_range" },
	{ 0xa934e263, "setattr_prepare" },
	{ 0xe61edc54, "filemap_migrate_folio" },
	{ 0x2fe4e95e, "clear_nlink" },
	{ 0x8e9ef66a, "file_check_and_advance_wb_err" },
	{ 0x794913fe, "d_alloc_parallel" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x586383, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xf176fadd, "misc_deregister" },
	{ 0xf68f2df0, "make_vfsgid" },
	{ 0x56fc9565, "clear_inode" },
	{ 0x18985eab, "inode_to_bdi" },
	{ 0x36de143b, "find_pid_ns" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xfba23e2e, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2551c79, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8fbe94d3, "pipe_unlock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa35d2f19, "fs_param_is_string" },
	{ 0xd0c3e8ce, "folio_unlock" },
	{ 0x81f01e73, "new_inode" },
	{ 0x665a62c3, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0xdf8043cf, "dump_page" },
	{ 0x2bdebcbd, "forget_all_cached_acls" },
	{ 0x629fa6f8, "init_special_inode" },
	{ 0xa3852c0d, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2059afa4, "task_active_pid_ns" },
	{ 0x2820d5a6, "iov_iter_single_seg_count" },
	{ 0x7e9dd1a8, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc6fb601f, "filemap_fdatawrite_range" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x78c1d227, "d_alloc_name" },
	{ 0x8a9037e7, "replace_page_cache_folio" },
	{ 0xc5ef4e7e, "inode_query_iversion" },
	{ 0x80880772, "iov_iter_advance" },
	{ 0xd82aa13d, "kill_fasync" },
	{ 0x6029d996, "d_make_root" },
	{ 0x8a59b0a7, "backing_file_splice_write" },
	{ 0x7cf1a1a8, "sb_set_blocksize" },
	{ 0x105d362b, "fget" },
	{ 0xe18635be, "simple_fill_super" },
	{ 0x85e5e224, "xas_find" },
	{ 0xc9e79d46, "sync_filesystem" },
	{ 0xce7cb7f2, "noop_dirty_folio" },
	{ 0x753a3e95, "sget_fc" },
	{ 0x4fefcb9e, "param_set_uint" },
	{ 0x5e64d70e, "d_splice_alias" },
	{ 0x8c98e2ff, "iov_iter_get_pages2" },
	{ 0x716946ed, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3465d06f, "page_get_link" },
	{ 0xd76ee51, "generic_permission" },
	{ 0x4cc397b2, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf930d10, "invalidate_inode_pages2_range" },
	{ 0x5a291374, "posix_lock_file" },
	{ 0xaee4c705, "finish_open" },
	{ 0x828b4848, "dax_iomap_rw" },
	{ 0x92b59e6b, "iput" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xc0a7e833, "logfc" },
	{ 0x93188346, "iter_file_splice_write" },
	{ 0xcd2c8569, "mod_node_page_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x46c54e91, "init_pid_ns" },
	{ 0x216867e2, "dax_iomap_fault" },
	{ 0xb409c7a, "iov_iter_init" },
	{ 0x3a5f67b, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd1242f1d, "sysfs_create_mount_point" },
	{ 0x361c879d, "generic_file_write_iter" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x21f0474b, "register_filesystem" },
	{ 0x2aababb7, "kmem_cache_create" },
	{ 0xf66b61eb, "folio_add_lru" },
	{ 0x9e20e24b, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xae075a7c, "sync_inode_metadata" },
	{ 0x939ded8c, "simple_empty" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xa141e147, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe253567, "shrink_dcache_parent" },
	{ 0xf94f4f42, "__put_cred" },
	{ 0xc1c006cf, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xa2d4f9cf, "get_tree_nodev" },
	{ 0x74c9cba4, "splice_file_range" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x51f01589, "simple_inode_init_ts" },
	{ 0x409353c6, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc53db6a3, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb2b8328c, "fs_param_is_u32" },
	{ 0x8584d88, "inode_newsize_ok" },
	{ 0x7e6a5542, "d_drop" },
	{ 0x3ad3fd34, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xa534c8fe, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xfbb6e26c, "bdi_put" },
	{ 0x4771d11a, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xba66cb81, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cf88913, "make_kuid" },
	{ 0x18bbcd76, "truncate_inode_pages_final" },
	{ 0xc7316e39, "fs_kobj" },
	{ 0x28291056, "__filemap_set_wb_err" },
	{ 0xc36fb074, "simple_dir_operations" },
	{ 0x2eb230c1, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe64620e, "backing_file_mmap" },
	{ 0x33b84f74, "copy_page" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0xc494c137, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x7e81d68c, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "077B9C201148044CB5ACB53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
