#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x6869414c, "tcf_unregister_action" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x691f55e, "flow_offload_lookup" },
	{ 0xe6e61ba2, "init_net" },
	{ 0xf497d7e5, "flow_offload_refresh" },
	{ 0x1084a746, "nf_ct_acct_add" },
	{ 0x693622a3, "__pskb_pull_tail" },
	{ 0xdc488d09, "flow_offload_teardown" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0xb0090688, "nf_conntrack_helper_put" },
	{ 0xc18e59ca, "nf_connlabels_put" },
	{ 0xb13790e, "nf_nat_helper_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1e8b2076, "tcf_idr_check_alloc" },
	{ 0xb8513367, "tcf_action_check_ctrlact" },
	{ 0x9ecca672, "nf_connlabels_get" },
	{ 0xef0f1994, "nf_ct_tmpl_alloc" },
	{ 0xccaaa7b2, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9a0d7210, "tcf_chain_put_by_act" },
	{ 0x54f4bf5d, "tcf_idr_release" },
	{ 0x3386ff17, "tcf_idr_create_from_flags" },
	{ 0xfc8a0d26, "tcf_idr_cleanup" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x6793b897, "nf_flow_table_init" },
	{ 0x969185a, "__module_get" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe84985d7, "tcf_action_set_ctrlact" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4f2a570d, "skb_pull_rcsum" },
	{ 0x1f65245, "ipv6_find_hdr" },
	{ 0x9e6513af, "nf_ct_handle_fragments" },
	{ 0xe275503e, "nf_ct_skb_network_trim" },
	{ 0x2da47218, "nf_conntrack_in" },
	{ 0x5b93b334, "skb_copy_bits" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc3f8e321, "skb_push" },
	{ 0xa6695e74, "nf_ct_deliver_cached_events" },
	{ 0x4fd126bc, "nf_ct_nat" },
	{ 0x672cc92b, "nf_ct_helper" },
	{ 0x81fd8fa9, "nf_connlabels_replace" },
	{ 0x345e89f9, "flow_offload_alloc" },
	{ 0xe7f996d9, "flow_offload_add" },
	{ 0x202147a0, "flow_offload_free" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x42792e7a, "nf_ct_ext_add" },
	{ 0x61f5158d, "nf_ct_delete" },
	{ 0x1b81ca3d, "__nf_ct_try_assign_helper" },
	{ 0xa4eac663, "__nf_conntrack_confirm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa677b1cb, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x430e5116, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9806e41e, "nf_flow_table_free" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xf23bc120, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd5a43273, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x945a5574, "tcf_register_action" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "28C2872D1043256FA1DD34C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
