#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0x9f57301f, "_gpl");
SYMBOL_CRC(smc_proto6, 0x78632057, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x3d0b5f45, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0x446af982, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xfd93e76f, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x0865c3af, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xeacc6d9b, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0x6bc88cc0, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x8ac4de4e, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0xea499abb, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0xe9699121, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0x5c4dd951, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0xa5c80ad0, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0x3fe0963e, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x4241307a, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x4ea3da4e, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0x4c5a3954, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc494c137, "__free_pages" },
	{ 0x6fd1dd10, "ib_unregister_event_handler" },
	{ 0x3bd95c21, "proto_register" },
	{ 0x282da4a5, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x94edf2b3, "__wake_up_sync_key" },
	{ 0x29c8561c, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa59d4c31, "ib_map_mr_sg" },
	{ 0xe7fb6c66, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x19fec97a, "generic_pipe_buf_get" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc517606d, "perf_trace_run_bpf_submit" },
	{ 0xd42a7289, "ib_set_client_data" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xe6e61ba2, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdbf32919, "netlink_unicast" },
	{ 0x651ae466, "__SCK__tp_func_sk_data_ready" },
	{ 0x2de18a7d, "rdma_put_gid_attr" },
	{ 0x88bfa45f, "kernel_getsockname" },
	{ 0x2a315b90, "sk_free" },
	{ 0xfdf02ea8, "sock_wake_async" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x3f00a889, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7401c6f5, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xd5a43273, "nla_put" },
	{ 0xd530f828, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbeedf65a, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd955daaf, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x325be984, "lock_sock_nested" },
	{ 0xcd245d48, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdc6a4b61, "__ib_create_cq" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb36e2ae, "sk_alloc" },
	{ 0x4eb0cc19, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x410972a2, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5d215ecf, "kernel_connect" },
	{ 0xbbe0987d, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf5621b01, "sk_wait_data" },
	{ 0xf9e38e38, "proc_douintvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x646691f2, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa6cc2cb6, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xa9713ff8, "ib_destroy_cq_user" },
	{ 0xeddd417, "down_read" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0xc94b331a, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c231a0a, "tcp_register_ulp" },
	{ 0x24e1a969, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5e6a67a2, "kernel_listen" },
	{ 0xb870abfc, "ib_dma_virt_map_sg" },
	{ 0xdb049988, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4c5a25b6, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x6ac23a53, "sock_create_kern" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x801b09d6, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x72de08be, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf04a5b0c, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc2388556, "dev_get_by_name" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe9a82142, "dst_release" },
	{ 0x43961ea8, "sk_stream_wait_connect" },
	{ 0xc4693968, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x84c9a6d6, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5fc0e2de, "alloc_pages_noprof" },
	{ 0xb1c564af, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xb9a59209, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x217d6b5e, "vlan_dev_vlan_id" },
	{ 0x758408f1, "unregister_net_sysctl_table" },
	{ 0x58e1e389, "ib_dealloc_pd_user" },
	{ 0xed3fc4b, "rdma_get_gid_attr" },
	{ 0x6dbc0329, "dma_unmap_sg_attrs" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x84a0f2cc, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x2f266e19, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf49505ed, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x20e589a6, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2977a15f, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x774a0a7c, "release_sock" },
	{ 0x4fe4baa, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2e595fd7, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbd301908, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x754a3533, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xf59b025e, "ib_unregister_client" },
	{ 0x1d68bbb3, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x28173937, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1371c9ce, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe5907da1, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x34190124, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x13fb7582, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x28ae2058, "__ib_alloc_pd" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc7c39f24, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xb33b872f, "dma_unmap_page_attrs" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x8110d8e3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5603708, "__dma_need_sync" },
	{ 0xf1297ee, "kernel_bind" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc4847929, "genlmsg_put" },
	{ 0xcbb2320c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xef5bcbd, "ib_dereg_mr_user" },
	{ 0x28ad856b, "__tracepoint_sk_data_ready" },
	{ 0xc25a8f1a, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcfa04c3e, "kernel_accept" },
	{ 0x3f6b4f94, "rdma_dev_access_netns" },
	{ 0x969185a, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x72f79686, "ip_route_output_flow" },
	{ 0xec53b0d8, "get_device" },
	{ 0xc4845ed2, "sk_stream_error" },
	{ 0xf06c0eab, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x233c53fb, "sock_alloc" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x370a62, "sk_error_report" },
	{ 0x95208717, "register_pernet_subsys" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x3bfc21fa, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xbb0dad46, "register_net_sysctl_sz" },
	{ 0xf603791f, "tcp_abort" },
	{ 0x984624d3, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa7831f72, "dma_map_page_attrs" },
	{ 0xa3ba7b20, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0xc558ceb1, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x23257024, "sock_register" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "2834E439E8FBD6805F06DB7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
