#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_link_set_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_fe_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_be_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_free_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_prepared, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xa9e66a80, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x7dff3c7f, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xa7183dbc, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x9749f6bc, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x35d5e42b, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xaa132775, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0xc88ae6b2, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xb8061f4b, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0xbce852c2, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x0c36bd58, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x69a79162, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0xa87b7105, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0xeff6aecc, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0xd21657c0, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x0e254fa9, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0xe2bd920d, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xc3f1be73, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x0621208c, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x0e469cb7, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x4356992d, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x87c69527, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x42d93b15, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x1664edf2, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0xc392cc32, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0xb19192ec, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x0f4484b1, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x65839638, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0xb15e409b, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x1b65f498, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x4230e570, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x8ca20be3, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x6368f105, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0xaedcad7a, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x2ada0520, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x7b03a516, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x9c26dd6a, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0xf3a3dc70, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x6b9b3662, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0xfc435096, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x7fee227a, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0xe9349239, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x2fbd120a, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x98b71b26, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xf65580a0, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x1bf6a8d6, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x606e8961, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xfd5accf5, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0xbc838d1b, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xcf1ab972, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x4576da05, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0xaf2436f2, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x5f3aacf4, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x44dfe208, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xb331eeb6, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xbfa6b624, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0x813585a9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x20ba57b2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x7b9b862c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x69ef3578, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x782b2d62, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0xa8a996dc, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0xa56f24a6, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0xe1935f1d, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0xd1cf96e3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x6d9fb732, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0x13ddb5dd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x55996c29, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x671360cb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xb56d4240, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0xd0af5490, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0xdece8077, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0xe3c76123, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x5f086eb6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x803923a1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x47f52fba, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0xc07103e3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0x0e5546dd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0xc7ed421b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0xddef70dc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x18db1748, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x2bef3f34, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0xf3098520, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0xb9d71f97, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x3e0fccfb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0xb678b3c6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0xe960e259, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x4c00e79c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x3f686f38, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0xa19a6ec7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x719cec2b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x9da54951, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0xf4287eed, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x318676fc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xd5bd449e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0xc3082398, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x0aca8544, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x69428926, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xcda7d3da, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xd378e724, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0xa26b168f, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0xb188748e, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0xcce772e7, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x54051daa, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x787b7e5e, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0xf1d6b068, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x96d3fc5d, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0xaf3b7245, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xc8269f94, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0xeb711ae7, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x4fa1782d, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xd91845b1, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x2d031c9c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x95b0435c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x35b7046f, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x8560ae83, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x1cea7884, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0xee9e7e82, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x2ab51ada, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0xfd3840c6, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0xd924ed28, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x29d372ab, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xc2272542, "_gpl");
SYMBOL_CRC(snd_soc_dai_link_set_capabilities, 0x61adef9e, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0xe66fa77f, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x1c86ed75, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0xf6fca7d8, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x9192a6b5, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x2a09e149, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x20423c5d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x629816ac, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xc2a8962b, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x327a02bc, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xb6b5d9c0, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0xc4776e1a, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0xf1b0f4d4, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x5bdc5052, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x507003d8, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x828298d2, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x820527b2, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0xd755bdec, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0xca4e4636, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x55aae508, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x2ffaacf0, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0xc2ca3e58, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x2eb47997, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0xc1a2a25a, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0xc40b8918, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0xc61a5b99, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x361660e4, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0xa55c03b8, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x8423e13b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x44c4a58b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x3862de7b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x5201b3b5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x1ff7c000, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x8ba6036a, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x1fb42a8b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0xe7ef5a27, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x69ca5122, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x6c72f471, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x53df8ee9, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0xa0071d3a, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x37f9bdb9, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xb629f2a3, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0xcdf68762, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x427a3044, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xd39e37ca, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xcfda89f3, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x0534ec9e, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x2fdf6668, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0xc9579ebf, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0x382b21dc, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x04345aa8, "_gpl");
SYMBOL_CRC(widget_in_list, 0x3da16036, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x5c4c49df, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x88ad883c, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0xc033e042, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_fe_can_update, 0x7ebf8d25, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_be_can_update, 0x31d37ecd, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x842cd449, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_free_stop, 0x117026ed, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_params, 0x9f33fc62, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_prepared, 0xa3ad1647, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0xad4eb981, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x9869b87b, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x6727f668, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0xa07c353d, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x2d3d3892, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0xc4ceab23, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0xb3ff33a4, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0xfdf14ccc, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0xf305be50, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0xc460b52a, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0xa9c8f5c5, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0xd13a0b43, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x5bf0f86c, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0xa1f43ea4, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x7cc96f3b, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0x0bf8f7bc, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x761c39f8, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0xf43b98c6, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x736f6415, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x9c969056, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x8e2efc93, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x7f8ca4bd, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0xdf218b5c, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x344df6a9, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x59e5b646, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0xf3273636, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0xc3ff619f, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x9b328140, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0xec0922b5, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x27c0a1ea, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol_locked, 0x46bcde7b, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xf1153532, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x8d1b0816, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0xb421dc2f, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x1d69bd9c, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x47c9fca3, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0x117ea55c, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x7c231673, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x4c7333e5, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0xe1e226a4, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x8ac51877, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0xc1c3f2b5, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0xd48dd33d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8e1e0fa, "pm_wakeup_dev_event" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0x70e2013, "devm_kstrdup" },
	{ 0x6ced81d5, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x36d2b50f, "debugfs_lookup_and_remove" },
	{ 0x4241307a, "put_device" },
	{ 0x983e49b, "gpiod_unexport" },
	{ 0xf3a20777, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x833153d9, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe9d56005, "snd_dmaengine_pcm_close" },
	{ 0xa998b023, "dma_get_slave_caps" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0xf23bc120, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x754b24ff, "snd_card_new" },
	{ 0x573607f6, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb50eab9e, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xea932c57, "snd_dmaengine_pcm_request_channel" },
	{ 0xc517606d, "perf_trace_run_bpf_submit" },
	{ 0x67452238, "devm_kfree" },
	{ 0x157899b3, "_dev_err" },
	{ 0x9b7ce83d, "pinctrl_pm_select_sleep_state" },
	{ 0x511a1acf, "simple_open" },
	{ 0x4dd29a7e, "snd_pcm_lib_ioctl" },
	{ 0xd545208a, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x3bd69246, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa4d6f67e, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x684ceabe, "snd_jack_add_new_kctl" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x70ac5b29, "dev_get_regmap" },
	{ 0x434b30c0, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x29735eef, "__devres_alloc_node" },
	{ 0xd530f828, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x51f38394, "snd_ctl_notify" },
	{ 0x1605c02a, "regulator_allow_bypass" },
	{ 0x19cbe4, "snd_pcm_set_ops" },
	{ 0x83f519ac, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7eb678f3, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x47dbd56e, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x37c80cfb, "device_register" },
	{ 0x6a38c783, "bpf_trace_run1" },
	{ 0xc6c95d3e, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ab51bf0, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xafad2a80, "snd_dmaengine_pcm_open" },
	{ 0x4de2c30b, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4e32f07f, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x115531af, "snd_dmaengine_pcm_pointer" },
	{ 0xd7d4e6e0, "__platform_driver_register" },
	{ 0x862126fe, "dma_request_chan" },
	{ 0x62896f91, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x69612b76, "pinctrl_lookup_state" },
	{ 0x3dfb6bc7, "bpf_trace_run3" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0xba3c62b0, "snd_compress_new" },
	{ 0xec52fff4, "debugfs_create_file" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0xc7206c9a, "snd_hwparams_to_dma_slave_config" },
	{ 0x290a34e5, "platform_device_register_full" },
	{ 0xb4ac477b, "regmap_read" },
	{ 0x4c5a25b6, "trace_event_buffer_reserve" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x95945080, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf2a1086, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xc4693968, "_copy_from_iter" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb55621b2, "pinctrl_select_state" },
	{ 0x3d0e5cda, "snd_power_wait" },
	{ 0x280aa3de, "snd_pcm_hw_constraint_msbits" },
	{ 0x1033ede4, "single_release" },
	{ 0x48a9fa1e, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb787bee, "dev_err_probe" },
	{ 0x3ec06dfe, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x2f4b9f5f, "device_add_groups" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xf486f0f5, "__pm_runtime_suspend" },
	{ 0xc22c16fe, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xcc9ad78b, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4e66e37f, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x11104aa2, "__pm_runtime_idle" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x566f8334, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xdc0ed686, "gpiod_get_value_cansleep" },
	{ 0x50df14f5, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5e68ffd6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x1d68bbb3, "_copy_to_iter" },
	{ 0xfbc90fc7, "gpiod_put" },
	{ 0x910cb213, "regmap_write" },
	{ 0x9cf647c7, "param_ops_uint" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc8dd61d7, "dev_set_name" },
	{ 0xcbc03b9e, "regmap_get_val_bytes" },
	{ 0x41004e26, "platform_driver_unregister" },
	{ 0x492bbf42, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xedca5ff7, "snd_dmaengine_pcm_sync_stop" },
	{ 0x6d76c761, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e87d260, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34190124, "trace_raw_output_prep" },
	{ 0x889e45bc, "regmap_raw_read" },
	{ 0x8d908eae, "snd_card_register" },
	{ 0xcb780744, "device_unregister" },
	{ 0xc87ee8fc, "snd_card_free" },
	{ 0xc7c39f24, "__trace_trigger_soft_disabled" },
	{ 0x8110d8e3, "trace_event_printf" },
	{ 0x8edb8d5a, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb04dae51, "gpiod_get_index" },
	{ 0x67077a68, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x320d9bc4, "snd_pcm_hw_constraint_minmax" },
	{ 0xcbb2320c, "trace_event_raw_init" },
	{ 0xf08cc5b5, "gpiod_to_irq" },
	{ 0x8ad316d9, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xde9b1217, "snd_ctl_find_id_locked" },
	{ 0x32c52f83, "dma_release_channel" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8ea1660, "regcache_mark_dirty" },
	{ 0xc25a8f1a, "bpf_trace_run2" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x9fc99aae, "regulator_disable_deferred" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x6cb88fbf, "snd_ctl_remove" },
	{ 0xe6e1980b, "snd_ctl_free_one" },
	{ 0xb3a77d35, "snd_ctl_find_id" },
	{ 0xb886504c, "devm_clk_get" },
	{ 0x5b04fe2, "devres_add" },
	{ 0x2296dcbd, "snd_pcm_new_internal" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x790699d7, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0xb265b40b, "snd_dmaengine_pcm_get_chan" },
	{ 0x56d896d1, "pinctrl_pm_select_default_state" },
	{ 0x3bfc21fa, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xa3d5e445, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x92ccb5e3, "snd_pcm_stream_unlock_irq" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "7763DE90821B7DD9B9A2326");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
